package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 自动组板合同总量表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_AUTO_PD_CONTRACT")
public class PmAutoPdContractDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PAPC_ID", type = IdType.AUTO)
    private BigDecimal papcId;

    /**
     * 虚拟板坯号
     */
    private String virtualSlabNo;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 合同顺序号
     */
    private Integer orderSeqNo;

    /**
     * 大板小板块数
     */
    private Integer orderPlateNum;

    /**
     * 轴合同标记
     */
    private Integer axisFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 请求ID
     */
    private BigDecimal requestId;

    /**
     * 版本
     */
    private BigDecimal versionId;


}
