package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 自动组板结果信息表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_AUTO_PD_RESULT")
public class PmAutoPdResultDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "RESULT_ID", type = IdType.AUTO)
    private BigDecimal resultId;

    /**
     * 请求ID
     */
    private BigDecimal requestId;

    /**
     * 版本ID
     */
    private BigDecimal versionId;

    /**
     * 策略组ID
     */
    private BigDecimal policyGroupId;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 断面厚
     */
    private BigDecimal moldThick;

    /**
     * 断面宽
     */
    private BigDecimal moldWid;

    /**
     * 虚拟板坯号
     */
    private String virtualSlabNo;

    /**
     * 组板方式
     */
    private String comboSlabMethod;

    /**
     * 基准收得率
     */
    private BigDecimal normYield;

    /**
     * 命令收得率
     */
    private BigDecimal commandYield;

    /**
     * 轧制收得率
     */
    private BigDecimal rollYield;

    /**
     * 轴合同订货厚度
     */
    private BigDecimal order1Thick;

    /**
     * 组合板宽度
     */
    private BigDecimal combinePlateWidth;

    /**
     * 组合板长度
     */
    private BigDecimal combinePlateLen;

    /**
     * 转置标记
     */
    private Integer transFlag;

    /**
     * 单板重量
     */
    private BigDecimal singleWeight;

    /**
     * 进加热炉板坯厚度
     */
    private BigDecimal infurSlabThick;

    /**
     * 进加热炉板坯宽度
     */
    private BigDecimal infurSlabWid;

    /**
     * 进加热炉板坯长度
     */
    private BigDecimal infurSlabLen;

    /**
     * 进加热炉板坯最大长度
     */
    private BigDecimal infurSlabMaxLen;

    /**
     * 进加热炉板坯最小长度
     */
    private BigDecimal infurSlabMinLen;

    /**
     * 进加热炉板坯重量
     */
    private BigDecimal infurSlabWt;

    /**
     * 进加热炉板坯最大重量
     */
    private BigDecimal infurSlabMaxWt;

    /**
     * 进加热炉板坯最小重量
     */
    private BigDecimal infurSlabMinWt;

    /**
     * 必要板坯长度
     */
    private BigDecimal needSlabLen;

    /**
     * 必要板坯重量
     */
    private BigDecimal needSlabWt;

    /**
     * 清理前板坯厚度
     */
    private BigDecimal preCleanSlabThick;

    /**
     * 清理前板坯宽度
     */
    private BigDecimal preCleanSlabWidth;

    /**
     * 清理前板坯长度
     */
    private BigDecimal preCleanSlabLen;

    /**
     * 清理前板坯最大长度
     */
    private BigDecimal preCleanSlabMaxLen;

    /**
     * 清理前板坯最小长度
     */
    private BigDecimal preCleanSlabMinLen;

    /**
     * 清理前板坯重量
     */
    private BigDecimal preCleanSlabWt;

    /**
     * 清理前板坯最大重量
     */
    private BigDecimal preCleanSlabMaxWt;

    /**
     * 清理前板坯最小重量
     */
    private BigDecimal preCleanSlabMinWt;

    /**
     * 取板方式_长度方向
     */
    private BigDecimal pickModeLenDir;

    /**
     * 取板方式_宽度方向
     */
    private BigDecimal pickModeWidDir;

    /**
     * 大板内成品小板总块数
     */
    private BigDecimal totSmallPlateNum;

    /**
     * 头部试材长度
     */
    private BigDecimal sampleLenHead;

    /**
     * 尾部试材长度
     */
    private BigDecimal sampleLenTail;

    /**
     * 中部试材长度
     */
    private BigDecimal sampleLenMid;

    /**
     * 板内合同个数
     */
    private BigDecimal orderNumInPlate;

    /**
     * 厚板轧制重量
     */
    private BigDecimal rollWtHp;

    /**
     * 轧制厚度公差上限
     */
    private BigDecimal rollThickTolMax;

    /**
     * 轧制厚度公差下限
     */
    private BigDecimal rollThickTolMin;

    /**
     * 头部切舍量
     */
    private Integer headCut;

    /**
     * 尾部切舍量
     */
    private Integer tailCut;

    /**
     * 轧制目标厚度
     */
    private BigDecimal rollAimThick;

    /**
     * 轧制目标宽度
     */
    private BigDecimal rollAimWidth;

    /**
     * 轧制目标长度
     */
    private BigDecimal rollAimLen;

    /**
     * RS代码
     */
    private String rsCode;

    /**
     * 展宽标记
     */
    private String broadFlag;

    /**
     * 轴合同号
     */
    private String orderNoAxis;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
