package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 自动替代配置表
 * </p>
 *
 * @author SunH
 * @since 2025-02-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_AUTO_SUB_SETTING")
public class PmAutoSubSettingDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    @TableId(value = "ID", type = IdType.AUTO)
    private BigDecimal id;

    /**
     * 最低替代率
     */
    private BigDecimal substitutionRate;

    /**
     * 最大剩余长度
     */
    private BigDecimal residueLen;

    /**
     * 板坯长度起
     */
    private BigDecimal matLenMin;

    /**
     * 板坯长度止
     */
    private BigDecimal matLenMax;

    /**
     * 板坯宽度起
     */
    private BigDecimal matWidthMin;

    /**
     * 板坯宽度止
     */
    private BigDecimal matWidthMax;

    /**
     * 板坯厚度起
     */
    private BigDecimal matThickMin;

    /**
     * 板坯厚度止
     */
    private BigDecimal matThickMax;

    /**
     * 订单宽度起
     */
    private BigDecimal orderWidthMin;

    /**
     * 订单宽度止
     */
    private BigDecimal orderWidthMax;

    /**
     * 订单厚度起
     */
    private BigDecimal orderThickMin;

    /**
     * 订单厚度止
     */
    private BigDecimal orderThickMax;

    /**
     * 订单交货期起
     */
    private Date delivyDateFrom;

    /**
     * 订单交货期止
     */
    private Date delivyDateTo;

    /**
     * 选择钢种信息
     */
    private String isUseSt;

    /**
     * 可用仓库
     */
    private String useableDstock;

    /**
     * 是否启动
     */
    private String isStartFlag;

    /**
     * 启动时间起
     */
    private Date startTime;

    /**
     * 启动时间止
     */
    private Date endTime;

    /**
     * 优先模式
     */
    private String priMode;

    /**
     * 库存最低成材率
     */
    private BigDecimal stockRate;

    /**
     * 库存时间
     */
    private BigDecimal stockDay;

    /**
     * 交货期最低成材率
     */
    private BigDecimal deliveryRate;

    /**
     * 现货价格
     */
    private BigDecimal xhCost;

    /**
     * 废钢价格
     */
    private BigDecimal fgCost;

    /**
     * 交货期偏移量
     */
    private BigDecimal deliveryOffsetDay;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 触发周期
     */
    private BigDecimal triggerCycle;

    /**
     * 超投条件
     */
    private String overshootCondition;


}
