package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 转用充当履历
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_CD_CONT_LOG")
public class PmCdContLogDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
      @TableId(value = "LOAD_CONT_LOG_ID", type = IdType.AUTO)
    private BigDecimal loadContLogId;

    /**
     * 事件标识
     */
    private String eventId;

    /**
     * 系统标识
     */
    private String systemId;

    /**
     * 功能标识
     */
    private String funcId;

    /**
     * 物料种类
     */
    private String matKind;

    /**
     * 材料号
     */
    private String matNo;

    /**
     * 外购材料号
     */
    private String originMatNo;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 材料状态码
     */
    private String matStatus;

    /**
     * 全程工序途径码
     */
    private String wholeBacklog;

    /**
     * 冶金规范码
     */
    private String msc;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 产品规范码
     */
    private String psc;

    /**
     * 产品最终用途码
     */
    private String apn;

    /**
     * 执行标准
     */
    private String sgStd;

    /**
     * 综合判定代码
     */
    private String complexDecideCode;

    /**
     * 重量
     */
    private BigDecimal wt;

    /**
     * 件数
     */
    private Integer num;

    /**
     * 原合同号
     */
    private String oldOrderNo;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 标准牌号
     */
    private String sgSign;

    /**
     * 前重量
     */
    private BigDecimal oldMatActWt;


}
