package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 命令参数表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_CMD_CONT")
public class PmCmdContDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "PM_CMD_CONT_ID", type = IdType.AUTO)
    private BigDecimal pmCmdContId;

    /**
     * 命令板坯号
     */
    private String ponoSlabNo;

    /**
     * 临时命令板坯号
     */
    private String tmpSlabNo;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 合同顺序号
     */
    private Long orderSeqNo;

    /**
     * 全程工序途径码顺序号
     */
    private Integer wholeBacklogNo;

    /**
     * 全程工序途径码
     */
    private String wholeBacklog;

    /**
     * 钢板号
     */
    private String plateNo;

    /**
     * 板坯号
     */
    private String slabNo;

    /**
     * 材料设计种类
     */
    private String matDesignKind;

    /**
     * 合同性质代码
     */
    private String orderTypeCode;

    /**
     * 出口标记
     */
    private String exportFlag;

    /**
     * 最终用户代码
     */
    private String finCustCode;

    /**
     * 产品规范码
     */
    private String psc;

    /**
     * 产品最终用途码
     */
    private String apn;

    /**
     * 冶金规范码
     */
    private String msc;

    /**
     * 厚板品种代码
     */
    private String prodCodeHp;

    /**
     * 标准
     */
    private String sgStd;

    /**
     * 牌号（钢级）
     */
    private String sgSign;

    /**
     * 出钢记号
     */
    private String stNo;

    /**
     * UOE合同标记
     */
    private String uoeFlag;

    /**
     * 钢板形状代码
     */
    private String shpCode;

    /**
     * 小板块数
     */
    private Integer smallPlateNum;

    /**
     * 制品记号（试验片SR）
     */
    private String prodSrMark;

    /**
     * 制品记号（边部形态）
     */
    private String prodSideMark;

    /**
     * 制品记号（抛丸涂漆）
     */
    private String prodShotMark;

    /**
     * 制品记号（试验片正火）
     */
    private String prodNMark;

    /**
     * 制品记号（试验片淬火）
     */
    private String prodQMark;

    /**
     * 制品记号（试验片回火）
     */
    private String prodTMark;

    /**
     * 制品记号（试验片退火）
     */
    private String prodAMark;

    /**
     * 工序记号（超声探伤）
     */
    private String backlogUtMark;

    /**
     * 工序记号（正火）
     */
    private String backlogNMark;

    /**
     * 工序记号（淬火）
     */
    private String backlogQMark;

    /**
     * 工序记号（回火）
     */
    private String backlogTMark;

    /**
     * 工序记号（退火）
     */
    private String backlogAMark;

    /**
     * 工序记号（脱磁）
     */
    private String backlogDemagMark;

    /**
     * 工序记号（PT探伤）
     */
    private String backlogPtMark;

    /**
     * 工序记号（MT探伤）
     */
    private String backlogMtMark;

    /**
     * 工序记号（TMCP）
     */
    private String backlogTmcpMark;

    /**
     * 订货单件最大重量
     */
    private BigDecimal unitWtMax;

    /**
     * 订货单件最小重量
     */
    private BigDecimal unitWtMin;

    /**
     * 订货单件目标重量
     */
    private BigDecimal unitWtAim;

    /**
     * 订货厚度
     */
    private BigDecimal orderThick;

    /**
     * 订货宽度
     */
    private BigDecimal orderWidth;

    /**
     * 订货长度
     */
    private BigDecimal orderLen;

    /**
     * 宽度区分
     */
    private String widthDiv;

    /**
     * 宽度上限
     */
    private BigDecimal widthMax;

    /**
     * 宽度下限
     */
    private BigDecimal widthMin;

    /**
     * 长度区分
     */
    private String lenDiv;

    /**
     * 订货长度下限
     */
    private BigDecimal orderLenMin;

    /**
     * 订货长度上限
     */
    private BigDecimal orderLenMax;

    /**
     * 小板厚度
     */
    private BigDecimal smallPlateThick;

    /**
     * 小板宽度
     */
    private BigDecimal smallPlateWidth;

    /**
     * 小板长度
     */
    private BigDecimal smallPlateLen;

    /**
     * 钢板厚度1
     */
    private BigDecimal thick1;

    /**
     * 钢板厚度2
     */
    private BigDecimal thick2;

    /**
     * 钢板厚度3
     */
    private BigDecimal thick3;

    /**
     * 钢板长度1
     */
    private BigDecimal len1;

    /**
     * 钢板长度2
     */
    private BigDecimal len2;

    /**
     * 钢板长度3
     */
    private BigDecimal len3;

    /**
     * 钢板长度4
     */
    private BigDecimal len4;

    /**
     * 钢板长度5
     */
    private BigDecimal len5;

    /**
     * 钢板厚度公差1上限
     */
    private BigDecimal thickTol1Max;

    /**
     * 钢板厚度公差1下限
     */
    private BigDecimal thickTol1Min;

    /**
     * 钢板厚度公差2上限
     */
    private BigDecimal thickTol2Max;

    /**
     * 钢板厚度公差2下限
     */
    private BigDecimal thickTol2Min;

    /**
     * 钢板厚度公差3上限
     */
    private BigDecimal thickTol3Max;

    /**
     * 钢板厚度公差3下限
     */
    private BigDecimal thickTol3Min;

    /**
     * 厚板预定通过工序1
     */
    private String platePreProc1;

    /**
     * 厚板预定通过工序2
     */
    private String platePreProc2;

    /**
     * 厚板预定通过工序3
     */
    private String platePreProc3;

    /**
     * 厚板预定通过工序4
     */
    private String platePreProc4;

    /**
     * 厚板预定通过工序5
     */
    private String platePreProc5;

    /**
     * 厚板预定通过工序6
     */
    private String platePreProc6;

    /**
     * 厚板预定通过工序7
     */
    private String platePreProc7;

    /**
     * 厚板预定通过工序8
     */
    private String platePreProc8;

    /**
     * 厚板预定通过工序9
     */
    private String platePreProc9;

    /**
     * 厚板预定通过工序10
     */
    private String platePreProc10;

    /**
     * 厚板预定通过工序11
     */
    private String platePreProc11;

    /**
     * 厚板预定通过工序12
     */
    private String platePreProc12;

    /**
     * 厚板预定通过工序13
     */
    private String platePreProc13;

    /**
     * 厚板预定通过工序14
     */
    private String platePreProc14;

    /**
     * 厚板预定通过工序15
     */
    private String platePreProc15;

    /**
     * 厚板预定通过工序16
     */
    private String platePreProc16;

    /**
     * 厚板预定通过工序17
     */
    private String platePreProc17;

    /**
     * 厚板预定通过工序18
     */
    private String platePreProc18;

    /**
     * 厚板预定通过工序19
     */
    private String platePreProc19;

    /**
     * 厚板预定通过工序20
     */
    private String platePreProc20;

    /**
     * 厚板预定通过工序21
     */
    private String platePreProc21;

    /**
     * 厚板预定通过工序22
     */
    private String platePreProc22;

    /**
     * 厚板预定通过工序23
     */
    private String platePreProc23;

    /**
     * 厚板预定通过工序24
     */
    private String platePreProc24;

    /**
     * 厚板预定通过工序25
     */
    private String platePreProc25;

    /**
     * 厚板预定通过工序26
     */
    private String platePreProc26;

    /**
     * 厚板预定通过工序27
     */
    private String platePreProc27;

    /**
     * 厚板预定通过工序28
     */
    private String platePreProc28;

    /**
     * 厚板预定通过工序29
     */
    private String platePreProc29;

    /**
     * 厚板预定通过工序30
     */
    private String platePreProc30;

    /**
     * 切边标记
     */
    private String trimCode;

    /**
     * 展宽比下限
     */
    private BigDecimal widenMin;

    /**
     * 压缩比下限
     */
    private BigDecimal compressMin;

    /**
     * 轧制方向代码
     */
    private String rollDirectCode;

    /**
     * 控轧代码
     */
    private String ctrlRollCode;

    /**
     * AD类型代码
     */
    private String adTypeCode;

    /**
     * AD控制模式代码
     */
    private String adModeCode;

    /**
     * 热矫可否
     */
    private String hotRectifyFlag;

    /**
     * 冷矫可否
     */
    private String coldRectifyFlag;

    /**
     * 温矫可否
     */
    private String warmRectifyFlag;

    /**
     * 温压可否
     */
    private String warmPressFlag;

    /**
     * 压平可否
     */
    private String canPressFlag;

    /**
     * 带温压平开始温度下限
     */
    private Integer wpTempMin;

    /**
     * 头部切舍量
     */
    private Integer headCut;

    /**
     * 尾部切舍量
     */
    private Integer tailCut;

    /**
     * 硬度目标值
     */
    private BigDecimal hardAim;

    /**
     * 切断方式代码
     */
    private String cutModeCode;

    /**
     * 气切可否
     */
    private String gFlag;

    /**
     * CS可否
     */
    private String csFlag;

    /**
     * DSS可否
     */
    private String dssFlag;

    /**
     * SS可否
     */
    private String ssFlag;

    /**
     * DS可否
     */
    private String dsFlag;

    /**
     * 热处理模式
     */
    private String heatTreatMode;

    /**
     * 保温温度上限值1
     */
    private Integer keepTempMax1;

    /**
     * 保温温度下限值1
     */
    private Integer keepTempMin1;

    /**
     * 保温温度上限值2
     */
    private Integer keepTempMax2;

    /**
     * 保温温度下限值2
     */
    private Integer keepTempMin2;

    /**
     * 保温温度上限值3
     */
    private Integer keepTempMax3;

    /**
     * 保温温度下限值3
     */
    private Integer keepTempMin3;

    /**
     * 保温温度上限值4
     */
    private Integer keepTempMax4;

    /**
     * 保温温度下限值4
     */
    private Integer keepTempMin4;

    /**
     * 保温温度上限值5
     */
    private Integer keepTempMax5;

    /**
     * 保温温度下限值5
     */
    private Integer keepTempMin5;

    /**
     * 保温温度上限值6
     */
    private Integer keepTempMax6;

    /**
     * 保温温度下限值6
     */
    private Integer keepTempMin6;

    /**
     * 回火温度上限1
     */
    private Integer backfireMax1;

    /**
     * 回火温度下限1
     */
    private Integer backfireMin1;

    /**
     * 回火温度上限2
     */
    private Integer backfireMax2;

    /**
     * 回火温度下限2
     */
    private Integer backfireMin2;

    /**
     * 回火温度上限3
     */
    private Integer backfireMax3;

    /**
     * 回火温度下限3
     */
    private Integer backfireMin3;

    /**
     * 回火温度上限4
     */
    private Integer backfireMax4;

    /**
     * 回火温度下限4
     */
    private Integer backfireMin4;

    /**
     * 回火温度上限5
     */
    private Integer backfireMax5;

    /**
     * 回火温度下限5
     */
    private Integer backfireMin5;

    /**
     * 回火温度上限6
     */
    private Integer backfireMax6;

    /**
     * 回火温度下限6
     */
    private Integer backfireMin6;

    /**
     * 淬火前切割宽度
     */
    private Integer widthBeforeQn;

    /**
     * 淬火前切割长度
     */
    private Integer lenBeforeQn;

    /**
     * 厚板切头分类
     */
    private String cropTypeHp;

    /**
     * 好面朝向代码
     */
    private String betterSurfWardCode;

    /**
     * 探伤方式代码
     */
    private String ultDetectMethodCode;

    /**
     * 超声探伤代码
     */
    private String ultCode;

    /**
     * 紧急合同标记
     */
    private String urgOrderFlag;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private Long createdBy;

    /**
     * 最近更新人ID
     */
    private Long lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 轴合同标记
     */
    private Integer axisFlag;

    /**
     * 组批工序顺序号
     */
    private Integer pdBacklogSeq;

    /**
     * 组批工序代码
     */
    private String pdBacklogCode;

    /**
     * 二次开坯标记
     */
    private String twoRollInterimFlag;

    /**
     * 轧制模式
     */
    private String rollMode;

    /**
     * 超声探伤扫查模式代码
     */
    private String utCheckCode;

    /**
     * 超声探伤时期代码
     */
    private String utPdCode;


}
