package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 命令大板表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_CMD_LARGE_PLT_TRA")
public class PmCmdLargePltTraDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 履历主键ID
     */
      @TableId(value = "TRA_ID", type = IdType.AUTO)
    private BigDecimal traId;

    /**
     * 操作类型(I:插入，U:修改，D:删除)
     */
    private String operationType;

    /**
     * 操作者
     */
    private String operationUser;

    /**
     * 操作时间
     */
    private Date operationTime;

    private BigDecimal pmCmdLargePltId;

    /**
     * 命令板坯号
     */
    private String ponoSlabNo;

    /**
     * 临时命令板坯号
     */
    private String tmpSlabNo;

    /**
     * 组批工序顺序号
     */
    private Integer pdBacklogSeq;

    /**
     * 组批工序代码
     */
    private String pdBacklogCode;

    /**
     * 钢板号
     */
    private String plateNo;

    /**
     * 板坯号
     */
    private String slabNo;

    /**
     * 板坯分割号
     */
    private Integer slabDivNo;

    /**
     * 组板状态
     */
    private String pdStatusHp;

    /**
     * 组板方式
     */
    private String formPlateMode;

    /**
     * 取板方式_长度方向
     */
    private Integer pickModeLenDir;

    /**
     * 取板方式_宽度方向
     */
    private Integer pickModeWidDir;

    /**
     * 加热炉类型
     */
    private String furType;

    /**
     * 自动人工标记
     */
    private String autoManualFlag;

    /**
     * 合同材/预备材区分
     */
    private String orderRemainDiv;

    /**
     * 材料设计种类
     */
    private String matDesignKind;

    /**
     * 板内合同个数
     */
    private Integer orderNumInPlate;

    /**
     * 大板内成品小板总块数
     */
    private Integer totSmallPlateNum;

    /**
     * 厚板品种代码
     */
    private String prodCodeHp;

    /**
     * AD类型代码
     */
    private String adTypeCode;

    /**
     * AD控制模式代码
     */
    private String adModeCode;

    /**
     * 超声探伤代码
     */
    private String ultCode;

    /**
     * UOE合同标记
     */
    private String uoeFlag;

    /**
     * 钢板缓冷代码
     */
    private String coolCode;

    /**
     * 控轧代码
     */
    private String ctrlRollCode;

    /**
     * 毛边切边标记
     */
    private String withSideFlag;

    /**
     * 切断方式代码
     */
    private String cutModeCode;

    /**
     * 头部切舍量
     */
    private Integer headCut;

    /**
     * 尾部切舍量
     */
    private Integer tailCut;

    /**
     * 牌号（钢级）
     */
    private String sgSign;

    /**
     * 出钢记号
     */
    private String stNo;

    /**
     * 二次开坯标记
     */
    private String twoRollInterimFlag;

    /**
     * 轧制目标厚度
     */
    private BigDecimal rollAimThick;

    /**
     * 轧制目标宽度
     */
    private BigDecimal rollAimWidth;

    /**
     * 轧制目标长度
     */
    private BigDecimal rollAimLen;

    /**
     * 轧制厚度公差上限
     */
    private BigDecimal rollThickTolMax;

    /**
     * 轧制厚度公差下限
     */
    private BigDecimal rollThickTolMin;

    /**
     * 最大轧制厚度
     */
    private BigDecimal maxRollThick;

    /**
     * 最小轧制厚度
     */
    private BigDecimal minRollThick;

    /**
     * 第一合同订货厚度
     */
    private BigDecimal order1Thick;

    /**
     * 组合板宽度
     */
    private BigDecimal combinePlateWidth;

    /**
     * 组合板长度
     */
    private BigDecimal combinePlateLen;

    /**
     * 厚板轧制重量
     */
    private BigDecimal rollWtHp;

    /**
     * 基准收得率
     */
    private BigDecimal normYield;

    /**
     * 命令收得率
     */
    private BigDecimal commandYield;

    /**
     * 轧制收得率
     */
    private BigDecimal rollYield;

    /**
     * 立辊使用标记
     */
    private String edgerUseFlag;

    /**
     * 展宽MAS使用标记
     */
    private String broadMasUseFlag;

    /**
     * 成形MAS使用标记
     */
    private String formMasUseFlag;

    /**
     * 轧制方向代码
     */
    private String rollDirectCode;

    /**
     * 头部试材长度
     */
    private Integer sampleLenHead;

    /**
     * 尾部试材长度
     */
    private Integer sampleLenTail;

    /**
     * 中部试材长度
     */
    private Integer sampleLenMid;

    /**
     * 奉送试材长度
     */
    private Integer sampleLenGive;

    /**
     * 试样长度
     */
    private Integer sampleLen;

    /**
     * RS代码
     */
    private String rsCode;

    /**
     * 展宽标记
     */
    private String broadFlag;

    /**
     * 特殊形状板轧制厚度1
     */
    private BigDecimal taperRollThick1;

    /**
     * 特殊形状板轧制厚度上限1
     */
    private BigDecimal taperRollThickMax1;

    /**
     * 特殊形状板轧制厚度下限1
     */
    private BigDecimal taperRollThickMin1;

    /**
     * 特殊形状板轧制厚度2
     */
    private BigDecimal taperRollThick2;

    /**
     * 特殊形状板轧制厚度上限2
     */
    private BigDecimal taperRollThickMax2;

    /**
     * 特殊形状板轧制厚度下限2
     */
    private BigDecimal taperRollThickMin2;

    /**
     * 特殊形状板轧制厚度3
     */
    private BigDecimal taperRollThick3;

    /**
     * 特殊形状板轧制厚度上限3
     */
    private BigDecimal taperRollThickMax3;

    /**
     * 特殊形状板轧制厚度下限3
     */
    private BigDecimal taperRollThickMin3;

    /**
     * 特殊形状板轧制宽度
     */
    private BigDecimal taperRollWidth;

    /**
     * 特殊形状板轧制长度1
     */
    private Integer taperRollLen1;

    /**
     * 特殊形状板轧制长度2
     */
    private Integer taperRollLen2;

    /**
     * 特殊形状板轧制长度3
     */
    private Integer taperRollLen3;

    /**
     * 特殊形状板轧制长度4
     */
    private Integer taperRollLen4;

    /**
     * 特殊形状板轧制长度5
     */
    private Integer taperRollLen5;

    /**
     * 气切可否
     */
    private String gFlag;

    /**
     * CS可否
     */
    private String csFlag;

    /**
     * DSS可否
     */
    private String dssFlag;

    /**
     * SS可否
     */
    private String ssFlag;

    /**
     * DS可否
     */
    private String dsFlag;

    /**
     * 组板时间
     */
    private Date formPlateTime;

    /**
     * 余母板号1
     */
    private String otherPlateNo1;

    /**
     * 余母板号2
     */
    private String otherPlateNo2;

    /**
     * 余母板号3
     */
    private String otherPlateNo3;

    /**
     * 余母板号4
     */
    private String otherPlateNo4;

    /**
     * 厚板预定通过工序1
     */
    private String platePreProc1;

    /**
     * 厚板预定通过工序2
     */
    private String platePreProc2;

    /**
     * 厚板预定通过工序3
     */
    private String platePreProc3;

    /**
     * 厚板预定通过工序4
     */
    private String platePreProc4;

    /**
     * 厚板预定通过工序5
     */
    private String platePreProc5;

    /**
     * 厚板预定通过工序6
     */
    private String platePreProc6;

    /**
     * 厚板预定通过工序7
     */
    private String platePreProc7;

    /**
     * 厚板预定通过工序8
     */
    private String platePreProc8;

    /**
     * 厚板预定通过工序9
     */
    private String platePreProc9;

    /**
     * 厚板预定通过工序10
     */
    private String platePreProc10;

    /**
     * 厚板预定通过工序11
     */
    private String platePreProc11;

    /**
     * 厚板预定通过工序12
     */
    private String platePreProc12;

    /**
     * 厚板预定通过工序13
     */
    private String platePreProc13;

    /**
     * 厚板预定通过工序14
     */
    private String platePreProc14;

    /**
     * 厚板预定通过工序15
     */
    private String platePreProc15;

    /**
     * 厚板预定通过工序16
     */
    private String platePreProc16;

    /**
     * 厚板预定通过工序17
     */
    private String platePreProc17;

    /**
     * 厚板预定通过工序18
     */
    private String platePreProc18;

    /**
     * 厚板预定通过工序19
     */
    private String platePreProc19;

    /**
     * 厚板预定通过工序20
     */
    private String platePreProc20;

    /**
     * 厚板预定通过工序21
     */
    private String platePreProc21;

    /**
     * 厚板预定通过工序22
     */
    private String platePreProc22;

    /**
     * 厚板预定通过工序23
     */
    private String platePreProc23;

    /**
     * 厚板预定通过工序24
     */
    private String platePreProc24;

    /**
     * 厚板预定通过工序25
     */
    private String platePreProc25;

    /**
     * 厚板预定通过工序26
     */
    private String platePreProc26;

    /**
     * 厚板预定通过工序27
     */
    private String platePreProc27;

    /**
     * 厚板预定通过工序28
     */
    private String platePreProc28;

    /**
     * 厚板预定通过工序29
     */
    private String platePreProc29;

    /**
     * 厚板预定通过工序30
     */
    private String platePreProc30;

    /**
     * 产品密度
     */
    private BigDecimal prodDensity;

    /**
     * 轧制大板去向
     */
    private String rollPlateDest;

    /**
     * 厚板流向代码
     */
    private String plateDtCode;

    /**
     * 生产跟踪代码
     */
    private String traceCode;

    /**
     * 第一控轧点厚度最小值
     */
    private BigDecimal minCr1Thick;

    /**
     * 第一控轧点温度目标值
     */
    private Integer cr1TempAim;

    /**
     * 第一控轧点温度最大值
     */
    private Integer maxCr1Temp;

    /**
     * 第一控轧点温度最小值
     */
    private Integer minCr1Temp;

    /**
     * 第一控轧点前最后道次的最小压下量
     */
    private Integer minPressBefcr1;

    /**
     * 第二控轧点厚度最小值
     */
    private BigDecimal minCr2Thick;

    /**
     * 第二控轧点温度目标值
     */
    private Integer cr2TempAim;

    /**
     * 第二控轧点温度最小值
     */
    private Integer minCr2Temp;

    /**
     * 第二控轧点温度最大值
     */
    private Integer maxCr2Temp;

    /**
     * 第二控轧点前最后道次的最小压下量
     */
    private Integer minPressBefcr2;

    /**
     * 终轧温度目标值
     */
    private Integer afftTempAim;

    /**
     * 终轧温度最大值
     */
    private Integer maxAfftTemp;

    /**
     * 终轧温度最小值
     */
    private Integer minAfftTemp;

    /**
     * 延伸轧制阶段最小压下量
     */
    private Integer minPressLast;

    /**
     * 中间冷却模式
     */
    private String middleCoolMode;

    /**
     * 中间冷却最大冷却速度
     */
    private Integer maxMiddleCoolSpeed;

    /**
     * ACC冷却开始等待时间上限
     */
    private Integer maxAccWaitTime;

    /**
     * ACC冷却开始等待时间下限
     */
    private Integer minAccWaitTime;

    /**
     * 快冷开始温度目标值
     */
    private Integer fastBgTempAim;

    /**
     * 快冷开始温度上限
     */
    private Integer maxFastBgTemp;

    /**
     * 快冷开始温度下限
     */
    private Integer minFastBgTemp;

    /**
     * 快冷速率目标值
     */
    private Integer fastSpAim;

    /**
     * 快冷速率上限
     */
    private Integer maxFastSp;

    /**
     * 快冷速率下限
     */
    private Integer minFastSp;

    /**
     * 快冷结束温度目标值
     */
    private Integer fastEndTempAim;

    /**
     * 快冷结束温度上限
     */
    private Integer maxFastEndTemp;

    /**
     * 快冷结束温度下限
     */
    private Integer minFastEndTemp;

    /**
     * 慢冷开始温度1目标值
     */
    private Integer slow1TBgTempAim;

    /**
     * 慢冷开始温度1上限
     */
    private Integer maxSlow1BgTemp;

    /**
     * 慢冷开始温度1下限
     */
    private Integer minSlow1BgTemp;

    /**
     * 慢冷速率1目标值
     */
    private Integer slow1SpAim;

    /**
     * 慢冷速率1上限
     */
    private Integer maxSlow1Sp;

    /**
     * 慢冷速率1下限
     */
    private Integer minSlow1Sp;

    /**
     * 慢冷结束温度1目标值
     */
    private Integer slow1EndTempAim;

    /**
     * 慢冷结束温度1上限
     */
    private Integer maxSlow1EndTemp;

    /**
     * 慢冷结束温度1下限
     */
    private Integer minSlow1EndTemp;

    /**
     * 慢冷开始温度2目标值
     */
    private Integer slow2TBgTempAim;

    /**
     * 慢冷开始温度2上限
     */
    private Integer maxSlow2BgTemp;

    /**
     * 慢冷开始温度2下限
     */
    private Integer minSlow2BgTemp;

    /**
     * 慢冷速率2目标值
     */
    private Integer slow2SpAim;

    /**
     * 慢冷速率2上限
     */
    private Integer maxSlow2Sp;

    /**
     * 慢冷速率2下限
     */
    private Integer minSlow2Sp;

    /**
     * 慢冷结束温度2目标值
     */
    private Integer slow2EndTempAim;

    /**
     * 慢冷结束温度2上限
     */
    private Integer maxSlow2EndTemp;

    /**
     * 慢冷结束温度2下限
     */
    private Integer minSlow2EndTemp;

    /**
     * 机架使用标志
     */
    private String standFlag;

    /**
     * 线膨胀系数
     */
    private Integer expandQuot;

    /**
     * 钢板凸度目标值
     */
    private BigDecimal plateConvexAim;

    /**
     * 热矫可否
     */
    private String hotRectifyFlag;

    /**
     * 热矫方法代码
     */
    private String hotRectifyMethodCode;

    /**
     * 抗拉强度最大值
     */
    private Integer tsMax;

    /**
     * 抗拉强度最小值
     */
    private Integer tsMin;

    /**
     * 大压下指定
     */
    private String pressAppoint;

    /**
     * 精整计划日期
     */
    private Date finishPlanDate;

    /**
     * 钢板形状代码
     */
    private String shpCode;

    /**
     * 轧制计划类型
     */
    private String rollPlanType;

    /**
     * 探伤方式代码
     */
    private String ultDetectMethodCode;

    /**
     * 自然张取样头部试材长度
     */
    private Integer sampleHeadLenFree;

    /**
     * 自然张取样尾部试材长度
     */
    private Integer sampleTailLenFree;

    /**
     * 大板取样头部试材长度
     */
    private Integer sampleHeadLenPlate;

    /**
     * 大板取样尾部试材长度
     */
    private Integer sampleTailLenPlate;

    /**
     * 热处理母板取样头部试材长度
     */
    private Integer sampleHeadLenMb;

    /**
     * 热处理母板取样尾部试材长度
     */
    private Integer sampleTailLenMb;

    /**
     * ACC冷却开始温度
     */
    private Integer accTempStart;

    /**
     * ACC冷却结束温度
     */
    private Integer accTempEnd;

    /**
     * ACC冷却速率
     */
    private Integer accColdV;

    /**
     * 装炉温度
     */
    private Integer loadFurTemp;

    /**
     * 出炉温度
     */
    private Integer heatTemp;

    /**
     * 第一阶段厚度
     */
    private BigDecimal firstThick;

    /**
     * 第一阶段开始温度
     */
    private Integer firstBgTemp;

    /**
     * 第一阶段结束温度
     */
    private Integer firstEndTemp;

    /**
     * 第二阶段厚度
     */
    private BigDecimal scdThick;

    /**
     * 第二阶段开始温度
     */
    private Integer scdBgTemp;

    /**
     * 第二阶段结束温度
     */
    private Integer scdEndTemp;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 特殊形状板轧制厚度4
     */
    private BigDecimal taperRollThick4;

    /**
     * 特殊形状板轧制厚度上限4
     */
    private BigDecimal taperRollThickMax4;

    /**
     * 特殊形状板轧制厚度下限4
     */
    private BigDecimal taperRollThickMin4;

    /**
     * 特殊形状板轧制厚度5
     */
    private BigDecimal taperRollThick5;

    /**
     * 特殊形状板轧制厚度上限5
     */
    private BigDecimal taperRollThickMax5;

    /**
     * 特殊形状板轧制厚度下限5
     */
    private BigDecimal taperRollThickMin5;

    /**
     * 特殊形状板轧制厚度6
     */
    private BigDecimal taperRollThick6;

    /**
     * 特殊形状板轧制厚度上限6
     */
    private BigDecimal taperRollThickMax6;

    /**
     * 特殊形状板轧制厚度下限6
     */
    private BigDecimal taperRollThickMin6;

    /**
     * 特殊形状板轧制厚度7
     */
    private BigDecimal taperRollThick7;

    /**
     * 特殊形状板轧制厚度上限7
     */
    private BigDecimal taperRollThickMax7;

    /**
     * 特殊形状板轧制厚度下限7
     */
    private BigDecimal taperRollThickMin7;

    /**
     * 特殊形状板轧制长度6
     */
    private Integer taperRollLen6;

    /**
     * 特殊形状板轧制长度7
     */
    private Integer taperRollLen7;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 是否合并板坯
     */
    private String isMerge;

    /**
     * 代预标记(Y/N)
     */
    private String replaceFlag;

    /**
     * 轧制方式
     */
    private String rollMode;


}
