package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 四大命令履历表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_CMD_RECORD")
public class PmCmdRecordDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "PM_CMD_RECORD_ID", type = IdType.AUTO)
    private BigDecimal pmCmdRecordId;

    /**
     * 操作名
     */
    private String operationName;

    /**
     * 操作人
     */
    private String operationId;

    /**
     * 操作时间
     */
    private Date operationTime;

    /**
     * 命令板坯号
     */
    private String ponoSlabNo;

    /**
     * 临时命令板坯号
     */
    private String tmpSlabNo;

    /**
     * 材料设计类型
     */
    private String matDesignKind;

    /**
     * 虚拟板坯号
     */
    private String virtualSlabNo;

    /**
     * 板坯号
     */
    private String slabNo;

    /**
     * 钢板号
     */
    private String plateNo;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
