package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 命令板坯表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_CMD_SLAB_TRA")
public class PmCmdSlabTraDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 履历主键ID
     */
      @TableId(value = "TRA_ID", type = IdType.AUTO)
    private BigDecimal traId;

    /**
     * 操作类型(I:插入，U:修改，D:删除)
     */
    private String operationType;

    /**
     * 操作者
     */
    private String operationUser;

    /**
     * 操作时间
     */
    private Date operationTime;

    private BigDecimal pmCmdSlabId;

    /**
     * 命令板坯号
     */
    private String ponoSlabNo;

    /**
     * 临时命令板坯号
     */
    private String tmpSlabNo;

    /**
     * 组批工序顺序号
     */
    private Integer pdBacklogSeq;

    /**
     * 组批工序代码
     */
    private String pdBacklogCode;

    /**
     * 板坯号
     */
    private String slabNo;

    /**
     * 虚拟板坯号
     */
    private String virtualSlabNo;

    /**
     * 厚板组板状态
     */
    private String pdStatusHp;

    /**
     * 长板坯含短板坯块数
     */
    private Integer shortSlabNumInLong;

    /**
     * 长板坯含大板块数
     */
    private Integer bigPlateNum;

    /**
     * 板坯分割号
     */
    private Integer slabDivNo;

    /**
     * 板内合同个数
     */
    private Integer orderNumInPlate;

    /**
     * 轴合同号
     */
    private String orderNoAxis;

    /**
     * 合同材/预备材区分
     */
    private String orderRemainDiv;

    /**
     * 材料设计种类
     */
    private String matDesignKind;

    /**
     * 厚板品种代码
     */
    private String prodCodeHp;

    /**
     * 牌号（钢级）
     */
    private String sgSign;

    /**
     * 出钢记号
     */
    private String stNo;

    /**
     * 头尾板坯标记
     */
    private String slabHtFlag;

    /**
     * 清理前板坯厚度
     */
    private BigDecimal preCleanSlabThick;

    /**
     * 清理前板坯宽度
     */
    private BigDecimal preCleanSlabWidth;

    /**
     * 清理前板坯长度
     */
    private BigDecimal preCleanSlabLen;

    /**
     * 清理前板坯最大长度
     */
    private BigDecimal preCleanSlabMaxLen;

    /**
     * 清理前板坯最小长度
     */
    private BigDecimal preCleanSlabMinLen;

    /**
     * 清理前板坯重量
     */
    private BigDecimal preCleanSlabWt;

    /**
     * 清理前板坯最大重量
     */
    private BigDecimal preCleanSlabMaxWt;

    /**
     * 清理前板坯最小重量
     */
    private BigDecimal preCleanSlabMinWt;

    /**
     * 结晶器厚度
     */
    private Integer moldThick;

    /**
     * 结晶器宽度
     */
    private Integer moldWid;

    /**
     * 进加热炉板坯厚度
     */
    private BigDecimal infurSlabThick;

    /**
     * 进加热炉板坯宽度
     */
    private BigDecimal infurSlabWid;

    /**
     * 进加热炉板坯长度
     */
    private BigDecimal infurSlabLen;

    /**
     * 进加热炉板坯最大长度
     */
    private BigDecimal infurSlabMaxLen;

    /**
     * 进加热炉板坯最小长度
     */
    private BigDecimal infurSlabMinLen;

    /**
     * 进加热炉板坯重量
     */
    private BigDecimal infurSlabWt;

    /**
     * 进加热炉板坯最大重量
     */
    private BigDecimal infurSlabMaxWt;

    /**
     * 进加热炉板坯最小重量
     */
    private BigDecimal infurSlabMinWt;

    /**
     * 必要板坯长度
     */
    private BigDecimal needSlabLen;

    /**
     * 必要板坯重量
     */
    private BigDecimal needSlabWt;

    /**
     * 固定板坯长度标记
     */
    private String fixSlabLenFlag;

    /**
     * 固定板坯长度
     */
    private Integer fixSlabLen;

    /**
     * 最大轧件对应的清理前板坯长度
     */
    private BigDecimal rollMaxPreCleanSlabLen;

    /**
     * 最大轧件对应的清理前板坯重量
     */
    private BigDecimal rollMaxPreCleanSlabWt;

    /**
     * 板坯位置代码
     */
    private String slabPlaceCode;

    /**
     * 厚板板坯火焰清理区分
     */
    private String hpFlameCleanDiv;

    /**
     * 板坯精整基准代码
     */
    private String slabFinishCode;

    /**
     * 板坯清理重量减少率_静态表
     */
    private BigDecimal slabCleanWtLossRateSt;

    /**
     * 板坯清理重量减少率_画面
     */
    private BigDecimal slabCleanWtLossRateFr;

    /**
     * 钢板缓冷代码
     */
    private String coolCode;

    /**
     * 最后短板坯标记
     */
    private String lastSlabFlag;

    /**
     * 附加板坯标记
     */
    private String addSlabFlag;

    /**
     * 板坯预定通过工序1
     */
    private String slabPreProc1;

    /**
     * 板坯预定通过工序2
     */
    private String slabPreProc2;

    /**
     * 板坯预定通过工序3
     */
    private String slabPreProc3;

    /**
     * 板坯预定通过工序4
     */
    private String slabPreProc4;

    /**
     * 板坯预定通过工序5
     */
    private String slabPreProc5;

    /**
     * 板坯预定通过工序6
     */
    private String slabPreProc6;

    /**
     * 板坯预定通过工序7
     */
    private String slabPreProc7;

    /**
     * 板坯预定通过工序8
     */
    private String slabPreProc8;

    /**
     * 板坯预定通过工序9
     */
    private String slabPreProc9;

    /**
     * 板坯预定通过工序10
     */
    private String slabPreProc10;

    /**
     * 板坯预定通过工序11
     */
    private String slabPreProc11;

    /**
     * 板坯预定通过工序12
     */
    private String slabPreProc12;

    /**
     * 板坯预定通过工序13
     */
    private String slabPreProc13;

    /**
     * 板坯预定通过工序14
     */
    private String slabPreProc14;

    /**
     * 板坯预定通过工序15
     */
    private String slabPreProc15;

    /**
     * 板坯堆放指示
     */
    private String slabStackIndicate;

    /**
     * 热送区分
     */
    private String hotSendDiv;

    /**
     * 加热炉类型
     */
    private String furType;

    /**
     * 转置标记
     */
    private String transFlag;

    /**
     * 热装标记
     */
    private String hotChargeFlag;

    /**
     * 轧制计划号
     */
    private String rollPlanNo;

    /**
     * 新试号
     */
    private String newTestNo;

    /**
     * 组板时间
     */
    private Date formPlateTime;

    /**
     * 钢板形状代码
     */
    private String shpCode;

    /**
     * 制造命令号
     */
    private String pono;

    /**
     * 钢锭材料设计种类
     */
    private String igMatDesignKind;

    /**
     * 锭坯型
     */
    private String ingotType;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 是否合并板坯
     */
    private String isMerge;


}
