package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 命令小板表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_CMD_SMALL_PLT")
public class PmCmdSmallPltDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "PM_CMD_SMALL_PLT_ID", type = IdType.AUTO)
    private BigDecimal pmCmdSmallPltId;

    /**
     * 命令板坯号
     */
    private String ponoSlabNo;

    /**
     * 临时命令板坯号
     */
    private String tmpSlabNo;

    /**
     * 小板分割号
     */
    private String smallPlateDivNo;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 合同顺序号
     */
    private Long orderSeqNo;

    /**
     * 板坯号
     */
    private String slabNo;

    /**
     * 钢板号
     */
    private String plateNo;

    /**
     * 取板方式_宽度方向
     */
    private Integer pickModeWidDir;

    /**
     * 取板方式_长度方向
     */
    private Integer pickModeLenDir;

    /**
     * 订货厚度
     */
    private BigDecimal orderThick;

    /**
     * 订货宽度
     */
    private BigDecimal orderWidth;

    /**
     * 订货长度
     */
    private BigDecimal orderLen;

    /**
     * 订货长度下限
     */
    private BigDecimal orderLenMin;

    /**
     * 订货长度上限
     */
    private BigDecimal orderLenMax;

    /**
     * 小板厚度
     */
    private BigDecimal smallPlateThick;

    /**
     * 小板宽度
     */
    private BigDecimal smallPlateWidth;

    /**
     * 小板长度
     */
    private BigDecimal smallPlateLen;

    /**
     * 奉送样长度
     */
    private BigDecimal sampleLenGive;

    /**
     * 自然张取样头部试材长度
     */
    private Integer sampleHeadLenFree;

    /**
     * 自然张取样尾部试材长度
     */
    private Integer sampleTailLenFree;

    /**
     * 大板取样头部试材长度
     */
    private Integer sampleHeadLenPlate;

    /**
     * 大板取样尾部试材长度
     */
    private Integer sampleTailLenPlate;

    /**
     * 热处理母板取样头部试材长度
     */
    private Integer sampleHeadLenMb;

    /**
     * 热处理母板取样尾部试材长度
     */
    private Integer sampleTailLenMb;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private Long createdBy;

    /**
     * 最近更新人ID
     */
    private Long lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 奉送样宽度
     */
    private BigDecimal sampleWidthGive;

    /**
     * 奉送样形状
     */
    private Integer sampleGiveShp;


}
