package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 复合/叠轧坯基本信息表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_COMPOSITE_SLAB")
public class PmCompositeSlabDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
      @TableId(value = "SLAB_ID", type = IdType.AUTO)
    private BigDecimal slabId;

    /**
     * 复合/叠轧坯号
     */
    private String slabNo;

    /**
     * 熔炼号
     */
    private String heatNo;

    /**
     * 制造命令号
     */
    private String pono;

    /**
     * 实际厚度
     */
    private BigDecimal actThick;

    /**
     * 实际宽度
     */
    private BigDecimal actWidth;

    /**
     * 实际长度
     */
    private BigDecimal actLength;

    /**
     * 实际重量
     */
    private BigDecimal actWt;

    /**
     * 轧制方式代码
     */
    private String rollType;

    /**
     * 轧制目标厚度
     */
    private BigDecimal rollAimThick;

    /**
     * 轧制目标宽度
     */
    private BigDecimal rollAimWidth;

    /**
     * 状态代码
     */
    private String statusCode;

    /**
     * 复合类型代码
     */
    private String slabType;

    /**
     * 目的库区ID
     */
    private BigDecimal destStockId;

    /**
     * 目的库区代码
     */
    private String destStockCode;

    /**
     * 加工厂代码
     */
    private String factoryCode;

    /**
     * 加工厂名称
     */
    private String factoryName;

    /**
     * 轧制产线号
     */
    private String mscLineNo;

    /**
     * 返修标志（Y:表示返修，N表示正常复合)
     */
    private String correctionFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 试样号
     */
    private String sampleLotNo;


}
