package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 复合/叠轧坯明细信息表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_COMPOSITE_SLAB_LIST")
public class PmCompositeSlabListDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
      @TableId(value = "LIST_ID", type = IdType.AUTO)
    private BigDecimal listId;

    /**
     * 复合/叠轧坯ID
     */
    private BigDecimal slabId;

    /**
     * 层号(从上至下依次为1,2,3…)
     */
    private BigDecimal layerNo;

    /**
     * 基材合同ID
     */
    private BigDecimal baseOrderId;

    /**
     * 基材合同号
     */
    private String baseOrderNo;

    /**
     * 基材ID
     */
    private BigDecimal baseMatId;

    /**
     * 基材号
     */
    private String baseMatNo;

    /**
     * 基材厚度
     */
    private BigDecimal baseMatThick;

    /**
     * 基材宽度
     */
    private BigDecimal baseMatWidth;

    /**
     * 基材长度
     */
    private BigDecimal baseMatLength;

    /**
     * 基材重量
     */
    private BigDecimal baseMatWt;

    /**
     * 复材类型代码(定义见代码手册)
     */
    private String compMatType;

    /**
     * 复材材料号
     */
    private String compMatNo;

    /**
     * 复材炉号
     */
    private String compMatPono;

    /**
     * 复材块数
     */
    private BigDecimal compMatNum;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 复材id
     */
    private BigDecimal compMatId;


}
