package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 合同产线工艺参数表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_CONT_MSC_TECH")
public class PmContMscTechDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
      @TableId(value = "CONT_MSC_ID", type = IdType.AUTO)
    private BigDecimal contMscId;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 关联生产合同主表主键
     */
    private BigDecimal proContId;

    /**
     * 设计产线号
     */
    private String mscLineNo;

    /**
     * 余材钢板组板合同小板数
     */
    private Integer platePdQty;

    /**
     * 余材板坯组板合同小板数
     */
    private Integer slabPdQty;

    /**
     * 出钢材组板合同小板数
     */
    private Integer ccPdQty;

    /**
     * 全程工序途径码
     */
    private String wholeBacklog;

    /**
     * 全程工序代码
     */
    private String wholeBacklogCode;

    /**
     * 出钢记号
     */
    private String stNo;

    /**
     * 副出钢记号1
     */
    private String stNo1;

    /**
     * 副出钢记号2
     */
    private String stNo2;

    /**
     * 副出钢记号3
     */
    private String stNo3;

    /**
     * 副出钢记号4
     */
    private String stNo4;

    /**
     * 副出钢记号5
     */
    private String stNo5;

    /**
     * 副出钢记号6
     */
    private String stNo6;

    /**
     * 副出钢记号7
     */
    private String stNo7;

    /**
     * 副出钢记号8
     */
    private String stNo8;

    /**
     * 副出钢记号9
     */
    private String stNo9;

    /**
     * 板坯位置充当标准
     */
    private String slabPlaceStd;

    /**
     * 板坯精整基准代码
     */
    private String slabFinishCode;

    /**
     * 厚板板坯火焰清理区分
     */
    private String flameCleanDiv;

    /**
     * 板坯去向
     */
    private String slabDest;

    /**
     * 线膨胀系数
     */
    private Integer expandQuot;

    /**
     * AD类型代码
     */
    private String adTypeCode;

    /**
     * 厚板流向代码
     */
    private String plateDtCode;

    /**
     * 第一控轧点厚度下限倍数
     */
    private BigDecimal gaugeMulMin1;

    /**
     * 第一控轧点厚度最小值
     */
    private BigDecimal minCr1Thick;

    /**
     * 轧制方向代码
     */
    private String rollDirectCode;

    /**
     * 控轧代码
     */
    private String ctrlRollCode;

    /**
     * 控轧代码第一位
     */
    private String ctrlRollCode1;

    /**
     * 控轧代码第34位
     */
    private String ctrlRollCode34;

    /**
     * AD控制模式代码
     */
    private String adModeCode;

    /**
     * AD控制模式代码第34位
     */
    private String adModeCode34;

    /**
     * 轧制方式
     */
    private String rollMode;

    /**
     * 压缩比下限
     */
    private BigDecimal compressMin;

    /**
     * 轧制倍尺可否标记
     */
    private Integer multiPlateFlag;

    /**
     * 精炼路径代码
     */
    private String rfPath;

    /**
     * 加热炉类型
     */
    private String furType;

    /**
     * 展宽比下限
     */
    private BigDecimal widenMin;

    /**
     * 中间冷却模式
     */
    private String middleCoolMode;

    /**
     * 中间冷却最大冷却速度
     */
    private Integer maxMiddleCoolSpeed;

    /**
     * 热矫可否
     */
    private Integer hotRectifyFlag;

    /**
     * 热矫方法代码
     */
    private String hotRectifyMethodCode;

    /**
     * 热送标记
     */
    private String hotSendDiv;

    /**
     * 热装标记
     */
    private String hotChargeFlag;

    /**
     * 气切可否
     */
    private Integer gFlag;

    /**
     * CS可否
     */
    private Integer csFlag;

    /**
     * DSS可否
     */
    private Integer dssFlag;

    /**
     * SS可否
     */
    private Integer ssFlag;

    /**
     * DS可否
     */
    private Integer dsFlag;

    /**
     * 头部切舍量
     */
    private Integer headCut;

    /**
     * 尾部切舍量
     */
    private Integer tailCut;

    /**
     * 探伤方式代码
     */
    private String ultDetectMethodCode;

    /**
     * 超声探伤时期代码
     */
    private String ultStgCode;

    /**
     * 超声探伤代码
     */
    private String ultCode;

    /**
     * 钢板缓冷代码
     */
    private String coolCode;

    /**
     * 切断方式代码
     */
    private String cutModeCode;

    /**
     * 热处理模式
     */
    private String heatTreatMode;

    /**
     * 保温温度目标值
     */
    private Integer keepTempAim;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 全程热处理类型
     */
    private String wholeHeatTreatmentType;

    /**
     * 板坯位置代码
     */
    private String slabPlaceCode;

    /**
     * 板坯厚度最小值
     */
    private BigDecimal slabThkMin;


}
