package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 合同指定产线断面表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_CONTRACT_LINE_SPEC")
public class PmContractLineSpecDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 合同指定ID
     */
      @TableId(value = "ORDER_SPECTION_ID", type = IdType.AUTO)
    private BigDecimal orderSpectionId;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 指定产线ID
     */
    private BigDecimal assignedProdLineId;

    /**
     * 断面厚
     */
    private BigDecimal moldThick;

    /**
     * 断面宽
     */
    private BigDecimal moldWid;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
