package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 热处理炉基准规格表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_HEAT_TREAT_FURNACE_BT")
public class PmHeatTreatFurnaceBtDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PHTFB_ID", type = IdType.AUTO)
    private BigDecimal phtfbId;

    /**
     * 热处理炉号
     */
    private String heatTreatFurnaceNo;

    /**
     * 热处理长度下限
     */
    private BigDecimal heatTreatLenFrom;

    /**
     * 热处理长度上限
     */
    private BigDecimal heatTreatLenTo;

    /**
     * 热处理宽度下限
     */
    private BigDecimal heatTreatWidthFrom;

    /**
     * 热处理宽度上限
     */
    private BigDecimal heatTreatWidthTo;

    /**
     * 热处理重量
     */
    private BigDecimal heatTreatWt;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
