package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 钢锭厚度余量基准表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_INGOT_THICK_ADDV_BT")
public class PmIngotThickAddvBtDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PITAB_ID", type = IdType.AUTO)
    private BigDecimal pitabId;

    /**
     * 锭坯型代码
     */
    private String ingotType;

    /**
     * 钢板厚度起
     */
    private BigDecimal plateThickFrom;

    /**
     * 钢板厚度止
     */
    private BigDecimal plateThickTo;

    /**
     * 组合板宽度起
     */
    private BigDecimal combinePlateWidthFrom;

    /**
     * 组合板宽度止
     */
    private BigDecimal combinePlateWidthTo;

    /**
     * 热处理模式
     */
    private String heatTreatMode;

    /**
     * 轧制模式
     */
    private String rollMode;

    /**
     * 轧制方向代码
     */
    private String rollDirectCode;

    /**
     * 厚度余量
     */
    private BigDecimal thickAddv;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
