package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 低碳钢坯加余量基准表-履历表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_MID_SLAB_ADDV_BT_TRA")
public class PmMidSlabAddvBtTraDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 履历主键ID
     */
      @TableId(value = "TRA_ID", type = IdType.AUTO)
    private BigDecimal traId;

    /**
     * 操作类型(I:插入，U:修改，D:删除)
     */
    private String operationType;

    /**
     * 操作者
     */
    private String operationUser;

    /**
     * 操作时间
     */
    private Date operationTime;

    /**
     * 主键ID
     */
    private BigDecimal pmsabId;

    /**
     * 轧制产线号
     */
    private String rollLineNo;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 标准牌号
     */
    private String sgSign;

    /**
     * 钢板厚度起
     */
    private BigDecimal plateThickFrom;

    /**
     * 钢板厚度止
     */
    private BigDecimal plateThickTo;

    /**
     * 允许长宽差
     */
    private BigDecimal lenWidthDiff;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 精轧开轧温度（取质量二阶段开轧温度，借用开始轧制温度字段，小于等于）
     */
    private String startRollTemp2Aim;


}
