package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 最小轧制厚度公差范围基准表履历表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_MIN_THICK_TOL_BT_TRA")
public class PmMinThickTolBtTraDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 履历主键ID
     */
      @TableId(value = "TRA_ID", type = IdType.AUTO)
    private BigDecimal traId;

    /**
     * 操作类型(I:插入，U:修改，D:删除)
     */
    private String operationType;

    /**
     * 操作者
     */
    private String operationUser;

    /**
     * 操作时间
     */
    private Date operationTime;

    /**
     * 主键ID
     */
    private BigDecimal pmttbId;

    /**
     * 钢板厚度起
     */
    private BigDecimal plateThickFrom;

    /**
     * 钢板厚度止
     */
    private BigDecimal plateThickTo;

    /**
     * 最小公差交集
     */
    private BigDecimal minThickTol;

    /**
     * 轧制产线号
     */
    private String rollLineNo;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;


}
