package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组板连铸板坯表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PD_CC_SLAB")
public class PmPdCcSlabDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "VIRTUAL_SLAB_ID", type = IdType.AUTO)
    private BigDecimal virtualSlabId;

    /**
     * 虚拟板坯号
     */
    private String virtualSlabNo;

    /**
     * 材料设计种类
     */
    private String matDesignKind;

    /**
     * 厚板组板状态
     */
    private String pdStatusHp;

    /**
     * 组板责任者
     */
    private String pdResp;

    /**
     * 加热炉类型
     */
    private String furType;

    /**
     * 自动人工标记
     */
    private String autoManualFlag;

    /**
     * 指定板坯长度标记
     */
    private BigDecimal fixSlabLenFlag;

    /**
     * 指定板坯长度
     */
    private BigDecimal fixSlabLen;

    /**
     * 结晶器厚度
     */
    private BigDecimal moldThick;

    /**
     * 结晶器宽度
     */
    private BigDecimal moldWid;

    /**
     * 板坯清理重量减少率_静态表
     */
    private BigDecimal slabCleanWtLossRateSt;

    /**
     * 板坯清理重量减少率_画面
     */
    private BigDecimal slabCleanWtLossRateFr;

    /**
     * 板坯位置代码
     */
    private String slabPlaceCode;

    /**
     * 二次开坯标记
     */
    private Integer twoRollInterimFlag;

    /**
     * 精炼路径代码
     */
    private String rfPath;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 钢锭材料设计种类
     */
    private String igMatDesignKind;

    /**
     * 锭坯型
     */
    private String ingotType;

    /**
     * 合同材/预备材区分
     */
    private String orderRemainDiv;

    /**
     * 可否删除标记
     */
    private String canDelFlag;

    /**
     * 去向产线号
     */
    private String mscLineNo;

    /**
     * 紧急合同标记
     */
    private String urgOrderFlag;

    /**
     * 组批工序顺序号
     */
    private BigDecimal ouBacklogSeq;

    /**
     * 组批工序代码
     */
    private String ouBacklogCode;

    /**
     * 牌号（钢级）
     */
    private String sgSign;

    /**
     * 出钢记号
     */
    private String stNo;

    /**
     * 副出钢记号1
     */
    private String stNo1;

    /**
     * 副出钢记号2
     */
    private String stNo2;

    /**
     * 副出钢记号3
     */
    private String stNo3;

    /**
     * 副出钢记号4
     */
    private String stNo4;

    /**
     * 副出钢记号5
     */
    private String stNo5;

    /**
     * 副出钢记号6
     */
    private String stNo6;

    /**
     * 副出钢记号7
     */
    private String stNo7;

    /**
     * 副出钢记号8
     */
    private String stNo8;

    /**
     * 副出钢记号9
     */
    private String stNo9;

    /**
     * 输出出钢记号
     */
    private String outSgNo;

    /**
     * 厚板板坯火焰清理区分
     */
    private String hpFlameCleanDiv;

    /**
     * 板坯精整基准代码
     */
    private String slabFinishCode;

    /**
     * 产品密度
     */
    private BigDecimal prodDensity;

    /**
     * 转置标记
     */
    private BigDecimal transFlag;

    /**
     * 清理前板坯厚度
     */
    private BigDecimal preCleanSlabThick;

    /**
     * 清理前板坯宽度
     */
    private BigDecimal preCleanSlabWidth;

    /**
     * 清理前板坯长度
     */
    private BigDecimal preCleanSlabLen;

    /**
     * 清理前板坯最大长度
     */
    private BigDecimal preCleanSlabMaxLen;

    /**
     * 清理前板坯最小长度
     */
    private BigDecimal preCleanSlabMinLen;

    /**
     * 清理前板坯重量
     */
    private BigDecimal preCleanSlabWt;

    /**
     * 清理前板坯最大重量
     */
    private BigDecimal preCleanSlabMaxWt;

    /**
     * 清理前板坯最小重量
     */
    private BigDecimal preCleanSlabMinWt;

    /**
     * 进加热炉板坯厚度
     */
    private BigDecimal infurSlabThick;

    /**
     * 进加热炉板坯宽度
     */
    private BigDecimal infurSlabWid;

    /**
     * 进加热炉板坯长度
     */
    private BigDecimal infurSlabLen;

    /**
     * 进加热炉板坯最大长度
     */
    private BigDecimal infurSlabMaxLen;

    /**
     * 进加热炉板坯最小长度
     */
    private BigDecimal infurSlabMinLen;

    /**
     * 进加热炉板坯重量
     */
    private BigDecimal infurSlabWt;

    /**
     * 进加热炉板坯最大重量
     */
    private BigDecimal infurSlabMaxWt;

    /**
     * 进加热炉板坯最小重量
     */
    private BigDecimal infurSlabMinWt;

    /**
     * 必要板坯长度
     */
    private BigDecimal needSlabLen;

    /**
     * 必要板坯重量
     */
    private BigDecimal needSlabWt;

    /**
     * 命令收得率
     */
    private BigDecimal commandYield;

    /**
     * 轧制收得率
     */
    private BigDecimal rollYield;

    /**
     * 炼钢计划日期
     */
    private Date steelPlanDate;

    /**
     * 炼钢最晚结束日期
     */
    private Date steelLatestDate;

    /**
     * 临时命令板坯号
     */
    private String tmpSlabNo;

    /**
     * 预定制造命令号
     */
    private String precPono;

    /**
     * 预定CAST_LOT号
     */
    private String precCastLotNo;

    /**
     * 出钢记号决定时间
     */
    private Date sgDecideTime;

    /**
     * 人工组炉标记
     */
    private String manualOm;

    /**
     * 厚板组炉完成时间
     */
    private Date hpOmTime;

    /**
     * 热送标记
     */
    private String hotSendFlag;

    /**
     * 热装标记
     */
    private BigDecimal hotChargeFlag;

    /**
     * AD类型代码
     */
    private String adTypeCode;

    /**
     * AD控制模式代码
     */
    private String adModeCode;

    /**
     * 厚板会检方式代码
     */
    private String checkMethodCode;

    /**
     * 控轧代码
     */
    private String ctrlRollCode;

    /**
     * 毛边切边标记
     */
    private String withSideFlag;

    /**
     * 切断方式代码
     */
    private String cutModeCode;

    /**
     * 气切可否
     */
    private String gFlag;

    /**
     * CS可否
     */
    private String csFlag;

    /**
     * DSS可否
     */
    private String dssFlag;

    /**
     * SS可否
     */
    private String ssFlag;

    /**
     * DS可否
     */
    private String dsFlag;

    /**
     * 钢种组
     */
    private String steelGroup;

    /**
     * 厚板品种代码
     */
    private String prodCodeHp;

    /**
     * 轴合同订货厚度
     */
    private BigDecimal axisOrderThick;

    /**
     * 轴合同订货宽度
     */
    private BigDecimal axisOrderWidth;

    /**
     * 取板方式_长度方向
     */
    private BigDecimal pickModeLenDir;

    /**
     * 取板方式_宽度方向
     */
    private BigDecimal pickModeWidDir;

    /**
     * 大板内成品小板总块数
     */
    private BigDecimal totSmallPlateNum;

    /**
     * 组合板宽度
     */
    private BigDecimal combinePlateWidth;

    /**
     * 组合板长度
     */
    private BigDecimal combinePlateLen;

    /**
     * 头部试材长度
     */
    private BigDecimal sampleLenHead;

    /**
     * 尾部试材长度
     */
    private BigDecimal sampleLenTail;

    /**
     * 中部试材长度
     */
    private BigDecimal sampleLenMid;

    /**
     * 组板方式
     */
    private String formPlateMode;

    /**
     * 板内合同个数
     */
    private BigDecimal orderNumInPlate;

    /**
     * 轧制方向代码
     */
    private String rollDirectCode;

    /**
     * 钢板形状代码
     */
    private String shpCode;

    /**
     * 超声探伤代码
     */
    private String ultCode;

    /**
     * 钢板缓冷代码
     */
    private String coolCode;

    /**
     * 探伤方式代码
     */
    private String ultDetectMethodCode;

    /**
     * 厚板轧制重量
     */
    private BigDecimal rollWtHp;

    /**
     * 轧制厚度公差上限
     */
    private BigDecimal rollThickTolMax;

    /**
     * 轧制厚度公差下限
     */
    private BigDecimal rollThickTolMin;

    /**
     * 头部切舍量
     */
    private Integer headCut;

    /**
     * 尾部切舍量
     */
    private Integer tailCut;

    /**
     * 轧制目标厚度
     */
    private BigDecimal rollAimThick;

    /**
     * 轧制目标宽度
     */
    private BigDecimal rollAimWidth;

    /**
     * 轧制目标长度
     */
    private BigDecimal rollAimLen;

    /**
     * 基准收得率
     */
    private BigDecimal normYield;

    /**
     * 立辊使用标记
     */
    private String edgerUseFlag;

    /**
     * 展宽MAS使用标记
     */
    private String broadMasUseFlag;

    /**
     * 成形MAS使用标记
     */
    private String formMasUseFlag;

    /**
     * RS代码
     */
    private String rsCode;

    /**
     * 展宽标记
     */
    private String broadFlag;

    /**
     * 轴合同号
     */
    private String orderNoAxis;

    /**
     * 特殊形状板轧制厚度1
     */
    private BigDecimal taperRollThick1;

    /**
     * 特殊形状板轧制厚度上限1
     */
    private BigDecimal taperRollThickMax1;

    /**
     * 特殊形状板轧制厚度下限1
     */
    private BigDecimal taperRollThickMin1;

    /**
     * 特殊形状板轧制厚度2
     */
    private BigDecimal taperRollThick2;

    /**
     * 特殊形状板轧制厚度上限2
     */
    private BigDecimal taperRollThickMax2;

    /**
     * 特殊形状板轧制厚度下限2
     */
    private BigDecimal taperRollThickMin2;

    /**
     * 特殊形状板轧制厚度3
     */
    private BigDecimal taperRollThick3;

    /**
     * 特殊形状板轧制厚度上限3
     */
    private BigDecimal taperRollThickMax3;

    /**
     * 特殊形状板轧制厚度下限3
     */
    private BigDecimal taperRollThickMin3;

    /**
     * 特殊形状板轧制厚度4_1009
     */
    private BigDecimal taperRollThick4;

    /**
     * 特殊形状板轧制厚度上限4_1009
     */
    private BigDecimal taperRollThickMax4;

    /**
     * 特殊形状板轧制厚度下限4_1009
     */
    private BigDecimal taperRollThickMin4;

    /**
     * 特殊形状板轧制厚度5_1009
     */
    private BigDecimal taperRollThick5;

    /**
     * 特殊形状板轧制厚度上限5_1009
     */
    private BigDecimal taperRollThickMax5;

    /**
     * 特殊形状板轧制厚度下限5_1009
     */
    private BigDecimal taperRollThickMin5;

    /**
     * 特殊形状板轧制厚度6_1009
     */
    private BigDecimal taperRollThick6;

    /**
     * 特殊形状板轧制厚度上限6_1009
     */
    private BigDecimal taperRollThickMax6;

    /**
     * 特殊形状板轧制厚度下限6_1009
     */
    private BigDecimal taperRollThickMin6;

    /**
     * 特殊形状板轧制厚度7_1009
     */
    private BigDecimal taperRollThick7;

    /**
     * 特殊形状板轧制厚度上限7_1009
     */
    private BigDecimal taperRollThickMax7;

    /**
     * 特殊形状板轧制厚度下限7_1009
     */
    private BigDecimal taperRollThickMin7;

    /**
     * 特殊形状板轧制宽度
     */
    private BigDecimal taperRollWidth;

    /**
     * 特殊形状板轧制长度1
     */
    private BigDecimal taperRollLen1;

    /**
     * 特殊形状板轧制长度2
     */
    private BigDecimal taperRollLen2;

    /**
     * 特殊形状板轧制长度3
     */
    private BigDecimal taperRollLen3;

    /**
     * 特殊形状板轧制长度4
     */
    private BigDecimal taperRollLen4;

    /**
     * 特殊形状板轧制长度5
     */
    private BigDecimal taperRollLen5;

    /**
     * 特殊形状板轧制长度6_1009
     */
    private BigDecimal taperRollLen6;

    /**
     * 特殊形状板轧制长度7_1009
     */
    private BigDecimal taperRollLen7;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 见证点状态：N-未开始见证、Y-开始见证
     */
    private String witnessPointStatus;


}
