package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组板常数基准表履历表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PD_CONST_BT_TRA")
public class PmPdConstBtTraDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 履历主键ID
     */
      @TableId(value = "TRA_ID", type = IdType.AUTO)
    private BigDecimal traId;

    /**
     * 操作类型(I:插入，U:修改，D:删除)
     */
    private String operationType;

    /**
     * 操作者
     */
    private String operationUser;

    /**
     * 操作时间
     */
    private Date operationTime;

    /**
     * 主键ID
     */
    private BigDecimal ppcbId;

    /**
     * 轧制产线号
     */
    private String rollLineNo;

    /**
     * 厚板回转可能最大长度
     */
    private BigDecimal maxTurnLen;

    /**
     * 最小成形量
     */
    private BigDecimal minFomrPressDown;

    /**
     * 进缓冷坑钢板最大长度
     */
    private BigDecimal coolBoxMaxLen;

    /**
     * 长板坯充当短板坯之间切缝宽度
     */
    private BigDecimal slabCutGap;

    /**
     * 成形MAS适用钢板最小厚度
     */
    private BigDecimal minThickFormMas;

    /**
     * 展宽MAS适用钢板最小厚度
     */
    private BigDecimal minThickBroadMas;

    /**
     * 展宽MAS适用最小展宽比
     */
    private BigDecimal minBroadRatioMas;

    /**
     * 立辊轧机适用钢板最小厚度
     */
    private BigDecimal minPThickEdger;

    /**
     * 立辊轧机适用钢板最大厚度
     */
    private BigDecimal maxPThickEdger;

    /**
     * 立辊轧机适用钢板最大宽度
     */
    private BigDecimal maxPWidthEdger;

    /**
     * 立辊轧机适用钢板最小宽度
     */
    private BigDecimal minPWidthEdger;

    /**
     * 立辊轧机适用板坯最小厚度
     */
    private BigDecimal minSThickEdger;

    /**
     * 立辊轧机适用板坯最大厚度
     */
    private BigDecimal maxSThickEdger;

    /**
     * 立辊轧机适用板坯最大宽度
     */
    private BigDecimal maxSWidthEdger;

    /**
     * 立辊轧机适用板坯最小宽度
     */
    private BigDecimal minSWidthEdger;

    /**
     * 立辊轧机不适用薄材最大厚度
     */
    private BigDecimal maxThinPThickNoedger;

    /**
     * RS0与RS1分界的板坯长度常数
     */
    private BigDecimal slabLenRs0Rs1;

    /**
     * 厚板设备限制轧制大板最小长度
     */
    private BigDecimal hpmMinPLen;

    /**
     * 厚板设备限制轧制大板最大长度
     */
    private BigDecimal hpmMaxPLen;

    /**
     * 厚板设备限制轧制大板最小宽度
     */
    private BigDecimal hpmMinPWidth;

    /**
     * 厚板设备限制轧制大板最大宽度
     */
    private BigDecimal hpmMaxPWidth;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
