package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 大板粗切位置表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PD_PLATE_CUT")
public class PmPdPlateCutDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
      @TableId(value = "CUT_ID", type = IdType.AUTO)
    private BigDecimal cutId;

    /**
     * 组板材料号
     */
    private String pdMatNo;

    /**
     * 粗切类型（M:搬送用；D:异宽用；P：命令用；H：热分切用）
     */
    private String cutType;

    /**
     * 粗切位置（F:固定侧，M:移动侧）
     */
    private String positionType;

    /**
     * 位置序号
     */
    private Integer positionSeq;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private Long createdBy;

    /**
     * 最近更新人ID
     */
    private Long lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 大板粗切长度
     */
    private BigDecimal cutLength;


}
