package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组板钢板表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PD_PLATE")
public class PmPdPlateDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "PM_PD_PLATE_ID", type = IdType.AUTO)
    private BigDecimal pmPdPlateId;

    /**
     * 临时命令板坯号
     */
    private String tmpSlabNo;

    /**
     * 组批工序顺序号
     */
    private Integer pdBacklogSeq;

    /**
     * 组批工序代码
     */
    private String pdBacklogCode;

    /**
     * 钢板号
     */
    private String plateNo;

    /**
     * 板坯号
     */
    private String slabNo;

    /**
     * 材料设计种类
     */
    private String matDesignKind;

    /**
     * 厚板品种代码
     */
    private String prodCodeHp;

    /**
     * 厚板组板状态
     */
    private String pdStatusHp;

    /**
     * 组板责任者
     */
    private String pdResp;

    /**
     * 组板方式
     */
    private String formPlateMode;

    /**
     * 取板方式_长度方向
     */
    private Integer pickModeLenDir;

    /**
     * 取板方式_宽度方向
     */
    private Integer pickModeWidDir;

    /**
     * 自动人工标记
     */
    private String autoManualFlag;

    /**
     * 板内合同个数
     */
    private Integer orderNumInPlate;

    /**
     * 大板内成品小板总块数
     */
    private Integer totSmallPlateNum;

    /**
     * AD类型代码
     */
    private String adTypeCode;

    /**
     * AD控制模式代码
     */
    private String adModeCode;

    /**
     * UOE合同标记
     */
    private String uoeFlag;

    /**
     * 超声探伤代码
     */
    private String ultCode;

    /**
     * 钢板缓冷代码
     */
    private String coolCode;

    /**
     * 控轧代码
     */
    private String ctrlRollCode;

    /**
     * 毛边切边标记
     */
    private String withSideFlag;

    /**
     * 切断方式代码
     */
    private String cutModeCode;

    /**
     * 头部切舍量
     */
    private Integer headCut;

    /**
     * 尾部切舍量
     */
    private Integer tailCut;

    /**
     * 牌号
     */
    private String sgSign;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 二次开坯标记
     */
    private String twoRollInterimFlag;

    /**
     * 轧制目标厚度
     */
    private BigDecimal rollAimThick;

    /**
     * 轧制目标宽度
     */
    private BigDecimal rollAimWidth;

    /**
     * 轧制目标长度
     */
    private BigDecimal rollAimLen;

    /**
     * 组合板宽度
     */
    private BigDecimal combinePlateWidth;

    /**
     * 组合板长度
     */
    private BigDecimal combinePlateLen;

    /**
     * 厚板轧制重量
     */
    private BigDecimal rollWtHp;

    /**
     * 厚度公差最大
     */
    private BigDecimal rollThickTolMax;

    /**
     * 厚度公差最小
     */
    private BigDecimal rollThickTolMin;

    /**
     * 命令收得率
     */
    private BigDecimal commandYield;

    /**
     * 轧制方向代码
     */
    private String rollDirectCode;

    /**
     * 头部试材长度
     */
    private Integer sampleLenHead;

    /**
     * 尾部试材长度
     */
    private Integer sampleLenTail;

    /**
     * 中部试材长度
     */
    private Integer sampleLenMid;

    /**
     * 气切可否
     */
    private String gFlag;

    /**
     * CS可否
     */
    private String csFlag;

    /**
     * DSS可否
     */
    private String dssFlag;

    /**
     * SS可否
     */
    private String ssFlag;

    /**
     * DS可否
     */
    private String dsFlag;

    /**
     * 余母板号1
     */
    private String otherPlateNo1;

    /**
     * 余母板号2
     */
    private String otherPlateNo2;

    /**
     * 组板时间
     */
    private Date formPlateTime;

    /**
     * 记录删除时刻
     */
    private Date recDelTime;

    /**
     * 钢板形状代码
     */
    private String shpCode;

    /**
     * 特殊形状板轧制厚度4
     */
    private BigDecimal taperRollThick4;

    /**
     * 特殊形状板轧制厚度上限4
     */
    private BigDecimal taperRollThickMax4;

    /**
     * 特殊形状板轧制厚度下限4
     */
    private BigDecimal taperRollThickMin4;

    /**
     * 特殊形状板轧制厚度5
     */
    private BigDecimal taperRollThick5;

    /**
     * 特殊形状板轧制厚度上限5
     */
    private BigDecimal taperRollThickMax5;

    /**
     * 特殊形状板轧制厚度下限5
     */
    private BigDecimal taperRollThickMin5;

    /**
     * 特殊形状板轧制厚度6
     */
    private BigDecimal taperRollThick6;

    /**
     * 特殊形状板轧制厚度上限6
     */
    private BigDecimal taperRollThickMax6;

    /**
     * 特殊形状板轧制厚度下限6
     */
    private BigDecimal taperRollThickMin6;

    /**
     * 特殊形状板轧制厚度7
     */
    private BigDecimal taperRollThick7;

    /**
     * 特殊形状板轧制厚度上限7
     */
    private BigDecimal taperRollThickMax7;

    /**
     * 特殊形状板轧制厚度下限7
     */
    private BigDecimal taperRollThickMin7;

    /**
     * 特殊形状板轧制长度6
     */
    private Integer taperRollLen6;

    /**
     * 特殊形状板轧制长度7
     */
    private Integer taperRollLen7;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
