package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 钢板信息表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PD_PLATE_INFO")
public class PmPdPlateInfoDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "PM_PD_PLATE_INFO_ID", type = IdType.AUTO)
    private BigDecimal pmPdPlateInfoId;

    /**
     * 钢板号
     */
    private String plateNo;

    /**
     * 板坯号
     */
    private String slabNo;

    /**
     * 制造命令号
     */
    private String pono;

    /**
     * 全程工序代码
     */
    private String wholeBacklogCode;

    /**
     * 全程工序顺序号
     */
    private Integer wholeBacklogSeq;

    /**
     * 后全程工序代码
     */
    private String nextWholeBacklogCode;

    /**
     * 后全程工序顺序号
     */
    private Integer nextWholeBacklogSeq;

    /**
     * 实际全程工序途径码
     */
    private String wholeBacklogAct;

    /**
     * 组批工序顺序号
     */
    private Integer ouBacklogSeq;

    /**
     * 组批工序代码
     */
    private String ouBacklogCode;

    /**
     * 材料状态码
     */
    private String matStatus;

    /**
     * 厚板组板状态
     */
    private String pdStatusHp;

    /**
     * 自动人工标记
     */
    private String autoManualFlag;

    /**
     * 组批程序
     */
    private String pdProgram;

    /**
     * 组板责任者
     */
    private String pdResp;

    /**
     * 标准
     */
    private String sgStd;

    /**
     * 牌号
     */
    private String sgSign;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 产品规范码
     */
    private String psc;

    /**
     * 产品最终用途码
     */
    private String apn;

    /**
     * 冶金规范码
     */
    private String msc;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 原产品规范码
     */
    private String oldPsc;

    /**
     * 原产品用途码
     */
    private String oldApn;

    /**
     * 原冶金规范码
     */
    private String oldMsc;

    /**
     * 原产线号
     */
    private String oldMscLine;

    /**
     * 可充当标记
     */
    private String canAssignFlag;

    /**
     * 余材原因代码
     */
    private String remainCauseCode;

    /**
     * 库号
     */
    private String stockNo;

    /**
     * 材料实际厚度
     */
    private BigDecimal matActThick;

    /**
     * 材料实际宽度
     */
    private BigDecimal matActWidth;

    /**
     * 材料实际长度
     */
    private BigDecimal matActLen;

    /**
     * 材料实际重量
     */
    private BigDecimal matActWt;

    /**
     * 钢板形状代码
     */
    private String shpCode;

    /**
     * 钢板厚度1
     */
    private BigDecimal thick1;

    /**
     * 钢板厚度2
     */
    private BigDecimal thick2;

    /**
     * 钢板厚度3
     */
    private BigDecimal thick3;

    /**
     * UOE合同标记
     */
    private String uoeFlag;

    /**
     * 毛边切边标记
     */
    private String withSideFlag;

    /**
     * 好面朝向代码
     */
    private String betterSurfWardCode;

    /**
     * AD控制模式代码
     */
    private String adModeCode;

    /**
     * 控轧代码
     */
    private String ctrlRollCode;

    /**
     * 热处理板标记
     */
    private String heatTreatPlateFlag;

    /**
     * 实际切断方式代码
     */
    private String actCutMode;

    /**
     * 加热炉类型
     */
    private String furType;

    /**
     * 轧制方向代码
     */
    private String rollDirectCode;

    /**
     * 实际压下比
     */
    private BigDecimal actPressRate;

    /**
     * 实际展宽比
     */
    private BigDecimal actBroadRatio;

    /**
     * 余材最小厚度
     */
    private BigDecimal remainMinThick;

    /**
     * 余材最大厚度
     */
    private BigDecimal remainMaxThick;

    /**
     * 收小池责任者
     */
    private String pdRespAuto;

    /**
     * 正在自动组板中标记
     */
    private String pdAutoFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 组批开始时间
     */
    private Date pdBeginTime;

    /**
     * 组批结束时间
     */
    private Date pdEndTime;

    /**
     * 钢板长度1
     */
    private BigDecimal len1;

    /**
     * 钢板长度2
     */
    private BigDecimal len2;

    /**
     * 钢板长度3
     */
    private BigDecimal len3;

    /**
     * 钢板长度4
     */
    private BigDecimal len4;

    /**
     * 钢板长度5
     */
    private BigDecimal len5;

    /**
     * 收小池时间
     */
    private Date pdTimeAuto;


}
