package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组板履历事件配置表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PD_REC_CFG")
public class PmPdRecCfgDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PPRC_ID", type = IdType.AUTO)
    private BigDecimal pprcId;

    /**
     * 事件标识
     */
    private String eventCode;

    /**
     * 电文或事件名称
     */
    private String eventName;

    /**
     * 事件说明
     */
    private String eventDesc;

    /**
     * 系统事件标记
     */
    private String systemEventFlag;

    /**
     * 系统标识标记
     */
    private BigDecimal systemCodeFlag;

    /**
     * 功能标识标记
     */
    private BigDecimal apiCodeFlag;

    /**
     * 事件责任者
     */
    private BigDecimal eventMakerFlag;

    /**
     * 合同号非空标记
     */
    private BigDecimal orderNoFlag;

    /**
     * 全程工序途径码
     */
    private String wholeBacklog;

    /**
     * 全程工序代码
     */
    private String wholeBacklogCode;

    /**
     * 材料号非空标记
     */
    private BigDecimal matNoFlag;

    /**
     * 重量非空标记
     */
    private BigDecimal wtFlagFlag;

    /**
     * 件数非空标记
     */
    private BigDecimal qtyFlagFlag;

    /**
     * 关键字串1说明
     */
    private String keyvalue1Desc;

    /**
     * 关键字串1非空标记
     */
    private BigDecimal keyvalue1Flag;

    /**
     * 关键字串2说明
     */
    private String keyvalue2Desc;

    /**
     * 关键字串2非空标记
     */
    private BigDecimal keyvalue2Flag;

    /**
     * 关键字串3说明
     */
    private String keyvalue3Desc;

    /**
     * 关键字串3非空标记
     */
    private BigDecimal keyvalue3Flag;

    /**
     * 履历登录标志
     */
    private BigDecimal logFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
