package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组板履历表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PD_REC")
public class PmPdRecDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PPR_ID", type = IdType.AUTO)
    private BigDecimal pprId;

    /**
     * 事件跟踪序列号
     */
    private String trackSeqNo;

    /**
     * 事件标识
     */
    private String eventCode;

    /**
     * 系统标识
     */
    private String systemCode;

    /**
     * 功能标识
     */
    private String apiCode;

    /**
     * 事件员工编号
     */
    private String eventMaker;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 全程工序途径码
     */
    private String wholeBacklog;

    /**
     * 全程工序代码
     */
    private String wholeBacklogCode;

    /**
     * 材料号
     */
    private String matNo;

    /**
     * 重量
     */
    private BigDecimal wt;

    /**
     * 件数
     */
    private BigDecimal qty;

    /**
     * 关键字串1说明
     */
    private String keyvalue1Desc;

    /**
     * 关键字串1
     */
    private String keyvalue1;

    /**
     * 关键字串2说明
     */
    private String keyvalue2Desc;

    /**
     * 关键字串2
     */
    private String keyvalue2;

    /**
     * 关键字串3说明
     */
    private String keyvalue3Desc;

    /**
     * 关键字串3
     */
    private String keyvalue3;

    /**
     * 返回出错信息
     */
    private String returnErrorMsg;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
