package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 板坯信息表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PD_SLAB_INFO")
public class PmPdSlabInfoDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PM_PD_SLAB_INFO_ID", type = IdType.AUTO)
    private BigDecimal pmPdSlabInfoId;

    /**
     * 板坯号
     */
    private String slabNo;

    /**
     * 全程工序顺序号
     */
    private Integer wholeBacklogSeq;

    /**
     * 全程工序代码
     */
    private String wholeBacklogCode;

    /**
     * 后全程工序顺序号
     */
    private Integer nextWholeBacklogSeq;

    /**
     * 后全程工序代码
     */
    private String nextWholeBacklogCode;

    /**
     * 组批工序顺序号
     */
    private Integer ouBacklogSeq;

    /**
     * 组批工序代码
     */
    private String ouBacklogCode;

    /**
     * 制造命令号
     */
    private String pono;

    /**
     * 材料状态号
     */
    private String matStatus;

    /**
     * 长板坯标记
     */
    private String slabFlag;

    /**
     * 厚板组板状态
     */
    private String pdStatusHp;

    /**
     * 自动人工标记
     */
    private String autoManualFlag;

    /**
     * 组批程序
     */
    private String pdProgram;

    /**
     * 组板责任者
     */
    private String pdResp;

    /**
     * 库区代码
     */
    private String stockCode;

    /**
     * 牌号（钢级）
     */
    private String sgSign;

    /**
     * 出钢记号
     */
    private String stNo;

    /**
     * 预定出钢记号
     */
    private String precStNo;

    /**
     * 决定出钢记号
     */
    private String deciStNo;

    /**
     * 最终出钢记号
     */
    private String finStNo;

    /**
     * 产品规范码
     */
    private String psc;

    /**
     * 产品最终用途码
     */
    private String apn;

    /**
     * 冶金规范码
     */
    private String msc;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 原产品规范码
     */
    private String oldPsc;

    /**
     * 原产品用途码
     */
    private String oldApn;

    /**
     * 原冶金规范码
     */
    private String oldMsc;

    /**
     * 原产线号
     */
    private String oldMscLine;

    /**
     * 可充当标记
     */
    private String canAssignFlag;

    /**
     * 余材原因代码
     */
    private String remainCauseCode;

    /**
     * 综合判定代码
     */
    private String complexDecideCode;

    /**
     * 材料实际厚度
     */
    private BigDecimal matActThick;

    /**
     * 材料实际宽度
     */
    private BigDecimal matActWidth;

    /**
     * 材料实际长度
     */
    private BigDecimal matActLen;

    /**
     * 材料实际重量
     */
    private BigDecimal matActWt;

    /**
     * 材料理论重量
     */
    private BigDecimal matTheoryWt;

    /**
     * 板坯位置代码
     */
    private String slabPlaceCode;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 收小池责任者
     */
    private String pdRespAuto;

    /**
     * 正在自动组板中标记
     */
    private String pdAutoFlag;

    /**
     * 锭坯型
     */
    private String ingotType;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 组批开始时间
     */
    private Date pdBeginTime;

    /**
     * 组批结束时间
     */
    private Date pdEndTime;

    /**
     * 二次开坯标记
     */
    private Integer twoRollInterimFlag;

    /**
     * 收小池时间
     */
    private Date pdTimeAuto;

    /**
     * 组合板坯号
     */
    private String compositeSlabNo;

    /**
     * 复合坯插入F，叠轧坯插入E，复合坯（不分张）插入K
     */
    private String slabType;


}
