package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 钢板轧制规格对应收得率基准表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PLATE_SPEC_YIELD_BT")
public class PmPlateSpecYieldBtDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PPSYB_ID", type = IdType.AUTO)
    private BigDecimal ppsybId;

    /**
     * 最终用途码
     */
    private String apn;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 钢板厚度起
     */
    private BigDecimal plateThickFrom;

    /**
     * 钢板厚度止
     */
    private BigDecimal plateThickTo;

    /**
     * 组合板宽度起
     */
    private BigDecimal combinePlateWidthFrom;

    /**
     * 组合板宽度止
     */
    private BigDecimal combinePlateWidthTo;

    /**
     * 收得率
     */
    private BigDecimal yield;

    /**
     * 最大收得率
     */
    private BigDecimal maxYield;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 轧制产线号
     */
    private String rollLineNo;


}
