package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 钢板切边量基准表履历表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PLATE_TRIM_BT_TRA")
public class PmPlateTrimBtTraDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 履历主键ID
     */
      @TableId(value = "TRA_ID", type = IdType.AUTO)
    private BigDecimal traId;

    /**
     * 操作类型(I:插入，U:修改，D:删除)
     */
    private String operationType;

    /**
     * 操作者
     */
    private String operationUser;

    /**
     * 操作时间
     */
    private Date operationTime;

    /**
     * 主键ID
     */
    private BigDecimal pptbId;

    /**
     * 钢板厚度起
     */
    private BigDecimal plateThickFrom;

    /**
     * 钢板厚度止
     */
    private BigDecimal plateThickTo;

    /**
     * 组合板宽度起
     */
    private BigDecimal combinePlateWidthFrom;

    /**
     * 组合板宽度止
     */
    private BigDecimal combinePlateWidthTo;

    /**
     * 小板长度起
     */
    private BigDecimal smallPlateLenFrom;

    /**
     * 小板长度止
     */
    private BigDecimal smallPlateLenTo;

    /**
     * 切边标记
     */
    private String withSideFlag;

    /**
     * 切边量
     */
    private BigDecimal trimWidth;

    /**
     * 设计产线号
     */
    private String mscLineNo;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 展宽比起
     */
    private BigDecimal widenFrom;

    /**
     * 展宽比止
     */
    private BigDecimal widenTo;


}
