package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 策略组与合同分组表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_POLICY_GR_ORDER")
public class PmPolicyGrOrderDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 策略组与合同分组头ID
     */
      @TableId(value = "POLICY_GROUP_ORDER_ID", type = IdType.AUTO)
    private BigDecimal policyGroupOrderId;

    /**
     * 策略组ID
     */
    private BigDecimal policyGroupId;

    /**
     * 优先级
     */
    private BigDecimal priority;

    /**
     * 分组维度
     */
    private String groupDimension;

    /**
     * 排序维度
     */
    private String groupSeq;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
