package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 策略组扩展表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_POLICY_GROUP_ATTR")
public class PmPolicyGroupAttrDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 策略组ID
     */
      @TableId(value = "POLICY_GROUP_ID", type = IdType.AUTO)
    private BigDecimal policyGroupId;

    /**
     * 尾量优先-交货期止
     */
    private Date priorityDelivyDateTo;

    /**
     * 尾量优先-合约欠量
     */
    private BigDecimal priorityContractAllowance;

    /**
     * 尾量清零-交货期止
     */
    private Date clearDelivyDateTo;

    /**
     * 尾量清零-合约欠量
     */
    private BigDecimal clearContractAllowance;

    /**
     * 单板收得率
     */
    private BigDecimal singleYield;

    /**
     * A2板型宽度偏差
     */
    private BigDecimal a2WidDeviation;

    /**
     * 允许超投件数
     */
    private BigDecimal overcastQty;

    /**
     * 允许超投交货期止
     */
    private Date overcastDelivyDateTo;

    /**
     * 指定长上限
     */
    private BigDecimal designLengthMax;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
