package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 策略合同分组明细
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_POLICY_ORDER_DTL")
public class PmPolicyOrderDtlDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 策略与合同分组行ID
     */
      @TableId(value = "TEST_ID", type = IdType.AUTO)
    private BigDecimal testId;

    /**
     * 策略分组组ID
     */
    private BigDecimal policyGroupId;

    /**
     * 分组维度
     */
    private String groupDimension;

    /**
     * 组内顺序
     */
    private BigDecimal groupSeq;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 策略ID
     */
    private BigDecimal policyId;


}
