package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 策略信息与重要客户关系表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_POLICY_VIP")
public class PmPolicyVipDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 策略信息与重要客户关系ID
     */
      @TableId(value = "POLICY_VIP_CUST_ID", type = IdType.AUTO)
    private BigDecimal policyVipCustId;

    /**
     * 策略ID
     */
    private BigDecimal policyId;

    /**
     * 客户编码
     */
    private String customerCode;

    /**
     * 优先级
     */
    private BigDecimal priority;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
