package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 炉重信息表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PONO_WT_INFO")
public class PmPonoWtInfoDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "PM_PONO_WT_INFO_ID", type = IdType.AUTO)
    private BigDecimal pmPonoWtInfoId;

    /**
     * 厂别
     */
    private String mainBacklogCode;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 实际目标炉重
     */
    private BigDecimal actAimInitWt;

    /**
     * 实际炉重
     */
    private BigDecimal actPonoWt;

    /**
     * 炉重正公差
     */
    private BigDecimal ponoWtPlus;

    /**
     * 炉重负公差
     */
    private BigDecimal ponoWtMinus;

    /**
     * 预定CAST_LOT号
     */
    private String precCastLotNo;

    /**
     * 预定制造命令号
     */
    private String precPono;

    /**
     * 组炉责任者
     */
    private String userId;

    /**
     * 炉次收得率
     */
    private BigDecimal ponoYield;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
