package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 炉重静态表_钢锭
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PONO_WT_STATIC_GD")
public class PmPonoWtStaticGdDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "PM_PONO_WT_STATIC_GD_ID", type = IdType.AUTO)
    private BigDecimal pmPonoWtStaticGdId;

    /**
     * 全程工序代码
     */
    private String wholeBacklogCode;

    /**
     * 出钢记号第一位
     */
    private String stNo1st;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 锭坯型
     */
    private String ingotType;

    /**
     * 钢锭长度
     */
    private BigDecimal ingotLen;

    /**
     * 钢锭重量
     */
    private BigDecimal ingotWt;

    /**
     * 头部厚度
     */
    private BigDecimal ingotHeadThick;

    /**
     * 头部宽度
     */
    private BigDecimal ingotHeadWidth;

    /**
     * 尾部厚度
     */
    private BigDecimal ingotBottThick;

    /**
     * 尾部宽度
     */
    private BigDecimal ingotBottWidth;

    /**
     * 炉次收得率
     */
    private BigDecimal ponoYield;

    /**
     * 钢水比重
     */
    private BigDecimal steelGravity;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 炉支数
     */
    private BigDecimal furnaceNum;


}
