package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 炉重静态表履历表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PONO_WT_STATIC_TRA")
public class PmPonoWtStaticTraDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 履历主键ID
     */
      @TableId(value = "TRA_ID", type = IdType.AUTO)
    private BigDecimal traId;

    /**
     * 操作类型(I:插入，U:修改，D:删除)
     */
    private String operationType;

    /**
     * 操作者
     */
    private String operationUser;

    /**
     * 操作时间
     */
    private Date operationTime;

    /**
     * 主键
     */
    private BigDecimal pmPonoWtStaticId;

    /**
     * 全程工序代码
     */
    private String wholeBacklogCode;

    /**
     * 出钢记号第一位
     */
    private String stNo1st;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 板坯厚度起
     */
    private BigDecimal slabThickFrom;

    /**
     * 板坯厚度止
     */
    private BigDecimal slabThickTo;

    /**
     * 板坯宽度起
     */
    private BigDecimal slabWidthFrom;

    /**
     * 板坯宽度止
     */
    private BigDecimal slabWidthTo;

    /**
     * 炉次收得率
     */
    private BigDecimal ponoYield;

    /**
     * 钢水比重
     */
    private BigDecimal steelGravity;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
