package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 生产合同主表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PRO_CONT")
public class PmProContDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
      @TableId(value = "PRO_CONT_ID", type = IdType.AUTO)
    private BigDecimal proContId;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 合同封锁标记
     */
    private BigDecimal pdHoldFlag;

    /**
     * 合同封锁责任者
     */
    private String holdMaker;

    /**
     * 合同封锁时刻（YYYY-MM-DD HH24:MI:SS）
     */
    private Date holdTime;

    /**
     * 合同释放责任者
     */
    private String relMaker;

    /**
     * 合同释放时刻（YYYY-MM-DD HH24:MI:SS）
     */
    private Date relTime;

    /**
     * 组板释放责任人
     */
    private String pdRelMaker;

    /**
     * 组板释放时刻（YYYY-MM-DD HH24:MI:SS）
     */
    private Date pdRelTime;

    /**
     * 正在组板标记
     */
    private BigDecimal onPdFlag;

    /**
     * 组板开始时刻（YYYY-MM-DD HH24:MI:SS）
     */
    private Date pdBeginTime;

    /**
     * 组板结束时刻（YYYY-MM-DD HH24:MI:SS）
     */
    private Date pdEndTime;

    /**
     * 组板程序
     */
    private String pdProgram;

    /**
     * 组板计划员ID
     */
    private String pdPlanner;

    /**
     * 组板形成总重量
     */
    private BigDecimal pdTotWt;

    /**
     * 组板形成总件数
     */
    private BigDecimal pdTotQty;

    /**
     * 组板工序超投量
     */
    private BigDecimal pdOverDevoWt;

    /**
     * 组板工序超投件数
     */
    private BigDecimal pdOverDevoQty;

    /**
     * 组板超投原因
     */
    private String pdOverDevoCause;

    /**
     * 组板工序欠件
     */
    private BigDecimal pdLackQty;

    /**
     * 组板工序欠量
     */
    private BigDecimal pdLackWt;

    /**
     * 组板计划日期（YYYY-MM-DD）
     */
    private Date pdPlanDate;

    /**
     * 最晚组板日期（YYYY-MM-DD）
     */
    private Date pdLatestDate;

    /**
     * 炼钢计划日期（YYYY-MM-DD）
     */
    private Date steelPlanDate;

    /**
     * 最晚炼钢日期（YYYY-MM-DD）
     */
    private Date steelLatestDate;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

}
