package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 生产合同产品属性表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PRO_CONT_PROD_ATTR")
public class PmProContProdAttrDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，关联表PM_PRO_CONT
     */
      @TableId(value = "PRO_CONT_ID", type = IdType.AUTO)
    private BigDecimal proContId;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 订货重量
     */
    private BigDecimal orderWt;

    /**
     * 订货件数
     */
    private Integer orderQty;

    /**
     * 交货件数正公差
     */
    private Integer delivyNumTolPlus;

    /**
     * 交货件数负公差
     */
    private Integer delivyNumTolMinus;

    /**
     * 订货单件目标重量
     */
    private BigDecimal orderUnitAimWt;

    /**
     * 订货单件最大重量
     */
    private BigDecimal orderUnitMaxWt;

    /**
     * 订货单件最小重量
     */
    private BigDecimal orderUnitMinWt;

    /**
     * 合同性质代码
     */
    private String orderTypeCode;

    /**
     * 紧急合同标记
     */
    private Integer urgOrderFlag;

    /**
     * 交货日期
     */
    private Date delivyDate;

    /**
     * 出口标记
     */
    private Integer exportFlag;

    /**
     * 产品规范码
     */
    private String psc;

    /**
     * 冶金规范码
     */
    private String msc;

    /**
     * 产品最终用途码
     */
    private String apn;

    /**
     * 标准
     */
    private String sgStd;

    /**
     * 标准牌号
     */
    private String sgSign;

    /**
     * 牌号代码
     */
    private String sgCode;

    /**
     * 新试号
     */
    private String newTestNo;

    /**
     * 订货厚度
     */
    private BigDecimal orderThick;

    /**
     * 订货宽度
     */
    private BigDecimal orderWidth;

    /**
     * 最终用户代码
     */
    private String finCustCode;

    /**
     * 订货长度上限
     */
    private Integer orderMaxLen;

    /**
     * 订货长度下限
     */
    private Integer orderMinLen;

    /**
     * 订货最大短尺
     */
    private BigDecimal orderShortMax;

    /**
     * 订货最小短尺
     */
    private BigDecimal orderShortMin;

    /**
     * 订货短尺率
     */
    private BigDecimal orderShortRate;

    /**
     * 产销合同号
     */
    private String orderNoErp;

    /**
     * 订货用户中文名称
     */
    private String orderCustCname;

    /**
     * 收货用户中文名称
     */
    private String consignCustCname;

    /**
     * 交货地点名称
     */
    private String delivyPlaceName;

    /**
     * 运输方式代码
     */
    private String trnpModeCode;

    /**
     * 剖分标记，1允许剖分，0不允许剖分
     */
    private String planerFlag;

    /**
     * 湘重合同标记
     */
    private Integer xzFlag;

    /**
     * 订货长度
     */
    private Integer orderLen;

    /**
     * 宽度区分
     */
    private Integer widthDiv;

    /**
     * 宽度上限
     */
    private BigDecimal widthMax;

    /**
     * 宽度下限
     */
    private BigDecimal widthMin;

    /**
     * 长度区分
     */
    private Integer lenDiv;

    /**
     * 厚板品种代码
     */
    private String prodCodeHp;

    /**
     * 厚度公差上限
     */
    private BigDecimal thickTolMax;

    /**
     * 厚度公差下限
     */
    private BigDecimal thickTolMin;

    /**
     * 宽度公差上限
     */
    private BigDecimal widthTolMax;

    /**
     * 宽度公差下限
     */
    private BigDecimal widthTolMin;

    /**
     * 长度公差上限
     */
    private BigDecimal lenTolMax;

    /**
     * 长度公差下限
     */
    private BigDecimal lenTolMin;

    /**
     * 头部试材长度
     */
    private BigDecimal sampleLenHead;

    /**
     * 尾部试材长度
     */
    private BigDecimal sampleLenTail;

    /**
     * 宽度余量
     */
    private BigDecimal widthAddv;

    /**
     * 楔形板代码
     */
    private String shpCode;

    /**
     * 船体分段号
     */
    private String hullSectionNo;

    /**
     * 是否分段管理
     */
    private String sectionManage;

    /**
     * 二次开坯母材合同标记
     */
    private Integer twoRollFlag;

    /**
     * 二次开坯目标合同标记
     */
    private Integer twoRollOrderFlag;

    /**
     * 试材采取方式代码
     */
    private String sampleModeCode;

    /**
     * 取样方式代码
     */
    private String pickPatternCode;

    /**
     * 验收机关代码
     */
    private String accpAuthCode;

    /**
     * 验收方式代码
     */
    private String accptModeCode;

    /**
     * 厚板会检方式代码
     */
    private String checkMethodCode;

    /**
     * 会检材标记
     */
    private Integer sampleCheckFlag;

    /**
     * 制品记号（试验片SR）
     */
    private String prodSrMark;

    /**
     * 制品记号（边部形态）
     */
    private String prodSideMark;

    /**
     * 制品记号（抛丸涂漆）
     */
    private String prodShotMark;

    /**
     * 制品记号（试验片正火）
     */
    private String prodNMark;

    /**
     * 制品记号（试验片淬火）
     */
    private String prodQMark;

    /**
     * 制品记号（试验片回火）
     */
    private String prodTMark;

    /**
     * 制品记号（试验片退火）
     */
    private String prodAMark;

    /**
     * 工序记号（超声探伤）
     */
    private String backlogUtMark;

    /**
     * 工序记号（正火）
     */
    private String backlogNMark;

    /**
     * 工序记号（淬火）
     */
    private String backlogQMark;

    /**
     * 工序记号（回火）
     */
    private String backlogTMark;

    /**
     * 工序记号（退火）
     */
    private String backlogAMark;

    /**
     * 工序记号（脱磁）
     */
    private String backlogDemagMark;

    /**
     * 工序记号（PT探伤）
     */
    private String backlogPtMark;

    /**
     * 工序记号（MT探伤）
     */
    private String backlogMtMark;

    /**
     * 工序记号（TMCP）
     */
    private String backlogTmcpMark;

    /**
     * 涂漆标志，0为不喷，1为厂内喷漆，2为厂外喷漆
     */
    private String needLecquering;

    /**
     * 抛丸涂漆代码
     */
    private String shotPaintCode;

    /**
     * 奉送样标记代码
     */
    private String giveSampleCode;

    /**
     * 奉送试材长度
     */
    private Integer sampleLenGive;

    /**
     * 成品抛丸标记
     */
    private Integer shotFlag;

    /**
     * 切边标记代码
     */
    private String trimCode;

    /**
     * 抗拉强度最大值
     */
    private Integer tsMax;

    /**
     * 抗拉强度最小值
     */
    private Integer tsMin;

    /**
     * 产品密度
     */
    private BigDecimal prodDensity;

    /**
     * 试样标记
     */
    private String diFlag;

    /**
     * 是否钢锭轧制
     */
    private String ingotRoll;

    /**
     * 特殊喷印要求
     */
    private String specialPrint;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 工程代码
     */
    private String projectCode;

    /**
     * 计重方式
     */
    private String wtMethodCode;


}
