package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 产线粗分表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PROD_LINE_COARSE_SOCRE")
public class PmProdLineCoarseSocreDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 产线粗分ID
     */
      @TableId(value = "PROD_LINE_COARSE_ID", type = IdType.AUTO)
    private BigDecimal prodLineCoarseId;

    /**
     * 产线轧制编码
     */
    private String tmRollPl;

    /**
     * 厚度规格起
     */
    private BigDecimal thickFrom;

    /**
     * 厚度规格止
     */
    private BigDecimal thickTo;

    /**
     * 宽度规格起
     */
    private BigDecimal widFrom;

    /**
     * 宽度规格止
     */
    private BigDecimal widTo;

    /**
     * 长度规格起
     */
    private BigDecimal lengthFrom;

    /**
     * 长度规格止
     */
    private BigDecimal lengthTo;

    /**
     * 生效标记
     */
    private BigDecimal validFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
