package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 生产线表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_PRODUCTION_LINE")
public class PmProductionLineDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 生产线ID
     */
      @TableId(value = "PROD_LINE_ID", type = IdType.AUTO)
    private BigDecimal prodLineId;

    /**
     * 设计产线编码
     */
    private String prodLineCode;

    /**
     * 设计产线名称
     */
    private String prodLineName;

    /**
     * 轧制产线编码
     */
    private String tmRollPl;

    /**
     * 优先级
     */
    private BigDecimal priority;

    /**
     * 生产线产能
     */
    private BigDecimal prodLineProductivity;

    /**
     * 生效标记
     */
    private BigDecimal validFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
