package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 请求策略与组板方式关系表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_RE_POLICY_SLAB_METHOD")
public class PmRePolicySlabMethodDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 请求策略与组板方式关系ID
     */
      @TableId(value = "RE_POLICY_SLAB_METHOD_ID", type = IdType.AUTO)
    private BigDecimal rePolicySlabMethodId;

    /**
     * 请求策略关系ID
     */
    private BigDecimal requestPolicyId;

    /**
     * 组板方式
     */
    private String comboSlabMethod;

    /**
     * 优先级
     */
    private Integer priority;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
