package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 请求信息表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_REQUEST_INFO")
public class PmRequestInfoDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 请求ID
     */
      @TableId(value = "REQUEST_ID", type = IdType.AUTO)
    private BigDecimal requestId;

    /**
     * 请求编码
     */
    private String requestCode;

    /**
     * 策略组ID
     */
    private BigDecimal policyGroupId;

    /**
     * 请求状态
     */
    private String requestStatus;

    /**
     * 请求类型
     */
    private String requestType;

    /**
     * 交货期起
     */
    private Date delivyDateFrom;

    /**
     * 交货期止
     */
    private Date delivyDateTo;

    /**
     * 允许超投件数
     */
    private BigDecimal overcastQty;

    /**
     * 允许超投交货期止
     */
    private Date overcastDelivyDateTo;

    /**
     * 指定长上限
     */
    private BigDecimal designLengthMax;

    /**
     * 是否以优充次
     */
    private Integer betterToWorseFlag;

    /**
     * 收得率下限
     */
    private BigDecimal yieldLower;

    /**
     * 是否倒置
     */
    private Integer invertedFlag;

    /**
     * 尾量优先-交货期止
     */
    private Date priorityDelivyDateTo;

    /**
     * 尾量优先-合约欠量
     */
    private Integer priorityContractAllowance;

    /**
     * 尾量清零-交货期止
     */
    private Date clearDelivyDateTo;

    /**
     * 尾量清零-合约欠量
     */
    private Integer clearContractAllowance;

    /**
     * 尾量清零-单板收得率
     */
    private BigDecimal clearSingleYield;

    /**
     * 尾量清零-A2板型宽度偏差
     */
    private Integer clearA2WidDeviation;

    /**
     * 尾量清零-允许超投件数
     */
    private BigDecimal clearOvercastQty;

    /**
     * 尾量清零-允许超投交货期止
     */
    private Date clearOvercastDelivyDateTo;

    /**
     * 尾量清零-指定长上限
     */
    private BigDecimal clearDesignLengthMax;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 开始执行时间
     */
    private Date execStartDate;

    /**
     * 执行结束时间
     */
    private Date execEndDate;

    /**
     * 总小板数
     */
    private BigDecimal totSmallPlateNum;

    /**
     * 发布的版本
     */
    private BigDecimal publishedVersion;


}
