package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 请求策略明细表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_REQUEST_POLICY")
public class PmRequestPolicyDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 请求与策略关系ID
     */
      @TableId(value = "REQUEST_POLICY_ID", type = IdType.AUTO)
    private BigDecimal requestPolicyId;

    /**
     * 请求ID
     */
    private BigDecimal requestId;

    /**
     * 策略ID
     */
    private BigDecimal policyId;

    /**
     * 执行顺序
     */
    private Integer policySeq;

    /**
     * A2板型宽度偏差
     */
    private Integer a2WidDeviation;

    /**
     * 收货单位
     */
    private String consignCust;

    /**
     * 钢种经济批量下限
     */
    private Integer stLowerEconomicLots;

    /**
     * 客户经济批量下限
     */
    private Integer custLowerEconomicLots;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 钢种组
     */
    private String stGroupCode;

    /**
     * 钢种
     */
    private String stNo;

    /**
     * 产线
     */
    private String mscLineNo;

    /**
     * 策略编码
     */
    private String policyCode;


}
