package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 请求策略与评级指标关系表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_REQUEST_POLICY_KPI")
public class PmRequestPolicyKpiDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 请求策略与评价指标关系ID
     */
      @TableId(value = "REQUEST_POLICY_KPI_ID", type = IdType.AUTO)
    private BigDecimal requestPolicyKpiId;

    /**
     * 请求ID
     */
    private BigDecimal requestId;

    /**
     * 评价指标类型
     */
    private String kpiType;

    /**
     * 评价指标百分比
     */
    private Integer kpiPercent;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
