package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 剖分组板设备规格限制表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_SDIV_SPEC_LIMIT_BT")
public class PmSdivSpecLimitBtDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PSSLB_ID", type = IdType.AUTO)
    private BigDecimal psslbId;

    /**
     * 轧制产线号
     */
    private String rollLineNo;

    /**
     * S型组板固定侧最小宽度
     */
    private BigDecimal sPdFixWidthMin;

    /**
     * S型组板固定侧最大宽度
     */
    private BigDecimal sPdFixWidthMax;

    /**
     * S型组板移动侧最小宽度
     */
    private BigDecimal sPdMoveWidthMin;

    /**
     * S型组板移动侧最大宽度
     */
    private BigDecimal sPdMoveWidthMax;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
