package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 剖分组板钢种限制表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_SDIV_ST_LIMIT_BT")
public class PmSdivStLimitBtDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PSSLB_ID", type = IdType.AUTO)
    private BigDecimal psslbId;

    /**
     * 当前内部钢种
     */
    private String stNo;

    /**
     * 当前外部牌号
     */
    private String sgSign;

    /**
     * 生效标记
     */
    private String validFlag;

    /**
     * 备注
     */
    private String remark;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 板坯厚度起
     */
    private BigDecimal slabThickFrom;

    /**
     * 板坯厚度止
     */
    private BigDecimal slabThickTo;

    /**
     * 板坯宽度起
     */
    private BigDecimal slabWidthFrom;

    /**
     * 板坯宽度止
     */
    private BigDecimal slabWidthTo;


}
