package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组炉编制历史表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_SLAB_ESTA_PLAN_HIS")
public class PmSlabEstaPlanHisDO implements Serializable {

    private static final long serialVersionUID = 1L;

    private BigDecimal slabEstaPlanId;

    /**
     * 虚拟板坯号
     */
    private String virtualSlabNo;

    /**
     * 轴合同号
     */
    private String orderNo;

    /**
     * 组炉责任者
     */
    private String userId;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 炼钢申请日期
     */
    private Date steelAppDate;

    /**
     * 轧制申请日期
     */
    private Date rollAppDate;

    /**
     * 全程工序代码
     */
    private String wholeBacklogCode;

    /**
     * 厂别
     */
    private String mainBacklogCode;

    /**
     * 预定CAST_LOT号
     */
    private String precCastLotNo;

    /**
     * 预定制造命令号
     */
    private String precPono;

    /**
     * 临时命令板坯号
     */
    private String tmpSlabNo;

    /**
     * 长坯设计标记
     */
    private BigDecimal lslabDesignFlag;

    /**
     * 长坯头尾标记
     */
    private String lslabTBFlag;

    /**
     * 流内板坯顺序号
     */
    private Integer slabSeqFlow;

    /**
     * 炉内板坯顺序号
     */
    private Integer slabSeqHeat;

    /**
     * CAST_LOT号
     */
    private String castLotNo;

    /**
     * 浇次分割号
     */
    private Long castLotDivNo;

    /**
     * 制造命令号
     */
    private String pono;

    /**
     * 命令板坯号
     */
    private String precSlabNo;

    /**
     * 轧制计划号
     */
    private String rollPlanNo;

    /**
     * 材料顺序号
     */
    private Integer matSeqNo;

    /**
     * 年
     */
    private Integer yearId;

    /**
     * 计划轧制时间
     */
    private Date planRollTime;

    /**
     * 炼钢开始时间
     */
    private Date steelStartTime;

    /**
     * 炼钢结束时间
     */
    private Date steelEndTime;

    /**
     * 炉数
     */
    private Integer ccNum;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 结晶器宽度
     */
    private Integer moldWid;

    /**
     * 结晶器厚度
     */
    private Integer moldThick;

    /**
     * 材料申请类型
     */
    private String appType;

    /**
     * 连铸预定计划状态
     */
    private String csPrecPlanStatus;

    /**
     * 热轧预定计划状态
     */
    private String hsPrecPlanStatus;

    /**
     * 板坯厚度
     */
    private BigDecimal slabThick;

    /**
     * 板坯宽度
     */
    private BigDecimal slabWidth;

    /**
     * 板坯长度
     */
    private BigDecimal slabLen;

    /**
     * 板坯重量
     */
    private BigDecimal slabWt;

    /**
     * 需申请重量
     */
    private BigDecimal appWt;

    /**
     * 申请件数
     */
    private Integer appNum;

    /**
     * 实际热装标记
     */
    private String actHotChargeFlag;

    /**
     * 炉次确定标记
     */
    private String heatConfmFlag;

    /**
     * 钢坯类型
     */
    private String billetType;

    /**
     * 无委坯说明
     */
    private String description;

    /**
     * 精炼区分
     */
    private String refineRouteCode;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 计划类型
     */
    private String planType;


}
