package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 组炉收池历史表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_SLAB_POOL_IN_HIS")
public class PmSlabPoolInHisDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 板坯材料申请ID
     */
    private BigDecimal slabPoolInId;

    /**
     * 虚拟板坯号
     */
    private String virtualSlabNo;

    /**
     * 厂别
     */
    private String mainBacklogCode;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 组炉责任者
     */
    private String userId;

    /**
     * 全程工序代码
     */
    private String wholeBacklogCode;

    /**
     * 轴合同号
     */
    private String orderNo;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 炼钢计划日期(yyyy-MM-dd)
     */
    private Date steelPlanDate;

    /**
     * 轧制计划日期(yyyy-MM-dd)
     */
    private Date rollPlanDate;

    /**
     * 编制状态
     */
    private String estaStatus;

    /**
     * 板坯去向
     */
    private String slabDest;

    /**
     * 额定板坯厚度
     */
    private BigDecimal nomSlabThick;

    /**
     * 额定板坯(钢坯)宽度
     */
    private BigDecimal nomSlabWidth;

    /**
     * 额定板坯长度
     */
    private BigDecimal nomSlabLen;

    /**
     * 板坯(钢坯)最大额定长度
     */
    private BigDecimal slabMaxNomLen;

    /**
     * 板坯(钢坯)最小额定长度
     */
    private BigDecimal slabMinNomLen;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 额定板坯重量
     */
    private BigDecimal nomSlabWt;

    /**
     * 板坯(钢坯)最大额定重量
     */
    private BigDecimal slabMaxNomWt;

    /**
     * 板坯(钢坯)最小额定重量
     */
    private BigDecimal slabMinNomWt;

    /**
     * 板坯位置代码
     */
    private String slabPlaceCode;

    /**
     * 额定轧制宽度
     */
    private BigDecimal nomRollWidth;

    /**
     * 额定轧制厚度
     */
    private BigDecimal nomRollThick;

    /**
     * 全程工序途径码
     */
    private String wholeBacklog;

    /**
     * 紧急合同标记
     */
    private String urgOrderFlag;

    /**
     * 钢锭材料设计种类
     */
    private String igMatDesignKind;

    /**
     * 锭坯型
     */
    private String ingotType;

    /**
     * 合同性质代码
     */
    private String orderTypeCode;

    /**
     * 合同拖期标记
     */
    private String orderDelayFlag;

    /**
     * 牌号
     */
    private String sgSign;

    /**
     * 额定热送标记
     */
    private String nomHotSendFlag;

    /**
     * 交货日期
     */
    private Date delivyDate;

    /**
     * 收货单位
     */
    private String consignCustCname;

    /**
     * 到站港
     */
    private String delivyPlaceName;

    /**
     * 合同热装标记
     */
    private String orderHotChargeFlag;

    /**
     * 轻压下采用代码
     */
    private String pressUseCode;

    /**
     * 精炼路径
     */
    private String rfPath;

    /**
     * 牌号代码
     */
    private String sgCode;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
