package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 连铸板坯生产规格基准表-履历表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_SLAB_SPEC_BT_TRA")
public class PmSlabSpecBtTraDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 履历主键ID
     */
      @TableId(value = "TRA_ID", type = IdType.AUTO)
    private BigDecimal traId;

    /**
     * 操作类型(I:插入，U:修改，D:删除)
     */
    private String operationType;

    /**
     * 操作者
     */
    private String operationUser;

    /**
     * 操作时间
     */
    private Date operationTime;

    /**
     * 主键ID
     */
    private BigDecimal pssbId;

    /**
     * 轧制方向代码，分为C是横轧、L是纵轧
     */
    private String rollDirectCode;

    /**
     * 板坯厚度起
     */
    private BigDecimal slabThickFrom;

    /**
     * 板坯厚度止
     */
    private BigDecimal slabThickTo;

    /**
     * 板坯宽度起
     */
    private BigDecimal slabWidthFrom;

    /**
     * 板坯宽度止
     */
    private BigDecimal slabWidthTo;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 轧制产线号
     */
    private String rollLineNo;

    /**
     * 最大展宽比
     */
    private BigDecimal broadRatioMax;

    /**
     * 精轧最小厚度
     */
    private BigDecimal minRollThick;

    /**
     * 加热炉板坯长度最小值
     */
    private BigDecimal slabMinLen;

    /**
     * 加热炉板坯长度最大值
     */
    private BigDecimal slabMaxLen;

    /**
     * 加热炉类型
     */
    private String furType;

    /**
     * 板坯比重
     */
    private BigDecimal slabGravity;

    /**
     * 浇铸速度
     */
    private BigDecimal castSpeed;

    /**
     * 可轧制宽度下限
     */
    private BigDecimal canRollWidthMin;

    /**
     * 倒置标记
     */
    private String dzFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
