package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 特殊钢种余量增加表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_SPE_ST_ADDV_BT")
public class PmSpeStAddvBtDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PSSAB_ID", type = IdType.AUTO)
    private BigDecimal pssabId;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 外部牌号
     */
    private String sgSign;

    /**
     * 板坯厚度起
     */
    private BigDecimal slabThickFrom;

    /**
     * 板坯厚度止
     */
    private BigDecimal slabThickTo;

    /**
     * 钢板厚度起
     */
    private BigDecimal plateThickFrom;

    /**
     * 钢板厚度止
     */
    private BigDecimal plateThickTo;

    /**
     * 板坯加料
     */
    private BigDecimal slabAddv;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 生效标记
     */
    private String validFlag;


}
