package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 炼钢连铸制造命令铸机流表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_STEEL_CAST_FLOW")
public class PmSteelCastFlowDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "STEEL_CAST_FLOW_ID", type = IdType.AUTO)
    private BigDecimal steelCastFlowId;

    /**
     * 厂别
     */
    private String mainBacklogCode;

    /**
     * 制造命令号
     */
    private String pono;

    /**
     * 炉内板坯块数
     */
    private Integer heatSlabNum;

    /**
     * 板坯厚度
     */
    private BigDecimal slabThick;

    /**
     * 板坯宽度
     */
    private BigDecimal slabWidth;

    /**
     * 调宽次数
     */
    private Integer adjustWidthNum;

    /**
     * 请求外板坯长度
     */
    private BigDecimal unappSlabLen;

    /**
     * 请求外板坯长度上限
     */
    private BigDecimal unappSlabLenMax;

    /**
     * 请求外板坯长度下限
     */
    private BigDecimal unappSlabLenMin;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 流号
     */
    private String strandNo;


}
