package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 炼钢连铸制造命令铸机流-接口表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_STEEL_CAST_FLOW_ITF")
public class PmSteelCastFlowItfDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 接口表主键ID
     */
      @TableId(value = "ITF_ID", type = IdType.AUTO)
    private BigDecimal itfId;

    /**
     * 主工序代码
     */
    private String mainBacklogCode;

    /**
     * LOT命令号
     */
    private String pono;

    /**
     * 流号
     */
    private String strandNo;

    /**
     * 炉内板坯块数
     */
    private String heatSlabNum;

    /**
     * 板坯厚度
     */
    private BigDecimal slabThick;

    /**
     * 板坯宽度
     */
    private BigDecimal slabWidth;

    /**
     * 调宽次数
     */
    private Integer adjustWidthNum;

    /**
     * 请求外板坯长度
     */
    private Integer unappSlabLen;

    /**
     * 请求外板坯长度上限
     */
    private Integer unappSlabLenMax;

    /**
     * 请求外板坯长度下限
     */
    private Integer unappSlabLenMin;

    /**
     * 接口表数据批次（Linux时间戳）
     */
    private BigDecimal itfBatchId;

    /**
     * 接口表数据状态（N 未处理 P 处理中 S 处理成功 E 处理失败）
     */
    private String itfStatus;

    /**
     * 接口表处理消息
     */
    private String itfMessage;

    /**
     * 接口表重试次数
     */
    private BigDecimal itfRetryTimes;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
