package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 炼钢连铸制造命令炉次-接口表 
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_STEEL_CAST_HEAT_ITF")
public class PmSteelCastHeatItfDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 接口表主键ID
     */
      @TableId(value = "ITF_ID", type = IdType.AUTO)
    private BigDecimal itfId;

    /**
     * 炉次LOT删除区分
     */
    private String disFlag;

    /**
     * 厂别
     */
    private String mainBacklogCode;

    /**
     * 制造命令号
     */
    private String pono;

    /**
     * 制造命令状态
     */
    private Integer ponoStatus;

    /**
     * 连铸计划顺序号
     */
    private Integer ccSeq;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 牌号
     */
    private String sgSign;

    /**
     * 浇次号
     */
    private String castLotNo;

    /**
     * 浇次分割号
     */
    private Integer castLotDivNo;

    /**
     * 浇次内炉数
     */
    private Integer castLotSum;

    /**
     * 连铸机号
     */
    private String ccMachNo;

    /**
     * 连铸机类型(1.板坯2.方坯3.钢锭)
     */
    private String ccType;

    /**
     * 计划浇次头/尾炉标记
     */
    private String restrandFlg;

    /**
     * 钢区工序途径
     */
    private String backlogEa;

    /**
     * 计划精炼路径代码
     */
    private String refineDiv;

    /**
     * 冶炼模式
     */
    private Integer smeltMode;

    /**
     * 计划出钢重量
     */
    private BigDecimal planTapWt;

    /**
     * 产品最终用途码
     */
    private String apn;

    /**
     * 板坯计划去向
     */
    private String dest;

    /**
     * 新试号
     */
    private String newTestNo;

    /**
     * 炼钢计划日期
     */
    private String steelPlanDate;

    /**
     * 炼钢申请日期
     */
    private String steelAppDate;

    /**
     * 计划日期
     */
    private String planDate;

    /**
     * CC要求时刻设定
     */
    private String ccReqTime;

    /**
     * CC要求时刻指定标记
     */
    private String ccReqTimeFlag;

    /**
     * 判钢时间
     */
    private String heatConfmTime;

    /**
     * 热送要求时间
     */
    private String hotReqTime;

    /**
     * 热送标记
     */
    private String hotSendFlag;

    /**
     * 热装标记
     */
    private String hotChargeFlag;

    /**
     * 中间包更换标志
     */
    private Integer tdChgFlg;

    /**
     * 前制造命令
     */
    private String ponoOld;

    /**
     * 板坯要求
     */
    private String slabReq;

    /**
     * 火焰清理区分
     */
    private String flameCleanDiv;

    /**
     * 班要点
     */
    private String shiftPoint;

    /**
     * 班次号
     */
    private String shiftNo;

    /**
     * 班组
     */
    private String shiftGroup;

    /**
     * 封锁计划员
     */
    private String holdPlanner;

    /**
     * 封锁时刻
     */
    private String holdTime;

    /**
     * 计划释放者
     */
    private String planReleaser;

    /**
     * 释放时刻
     */
    private String relTime;

    /**
     * 下达计划员
     */
    private String sendPlanner;

    /**
     * 下达时刻
     */
    private String sendTime;

    /**
     * 连连铸基准
     */
    private String ccBase;

    /**
     * 浇注时间
     */
    private Integer pourTime;

    /**
     * 调整标记
     */
    private String adjustFlag;

    /**
     * 接口表数据批次（Linux时间戳）
     */
    private BigDecimal itfBatchId;

    /**
     * 接口表数据状态（N 未处理 P 处理中 S 处理成功 E 处理失败）
     */
    private String itfStatus;

    /**
     * 接口表处理消息
     */
    private String itfMessage;

    /**
     * 接口表重试次数
     */
    private BigDecimal itfRetryTimes;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
