package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 炼钢连铸制造命令LOT-接口表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_STEEL_CAST_LOT_ITF")
public class PmSteelCastLotItfDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 接口表主键ID
     */
      @TableId(value = "ITF_ID", type = IdType.AUTO)
    private BigDecimal itfId;

    /**
     * 主工序代码
     */
    private String mainBacklogCode;

    /**
     * CAST_LOT号
     */
    private String castLotNo;

    /**
     * 内部钢种
     */
    private String stNo;

    /**
     * 牌号
     */
    private String sgSign;

    /**
     * LOT状态
     */
    private Integer lotStatus;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 连铸计划模式
     */
    private String ccPlanMode;

    /**
     * 紧急合同标志
     */
    private String urgencyOrderMark;

    /**
     * 材料申请类型
     */
    private String appType;

    /**
     * 钢坯类型
     */
    private String billetType;

    /**
     * 板坯组数
     */
    private Integer slabGroupSum;

    /**
     * 板坯厚度
     */
    private BigDecimal slabThick;

    /**
     * 板坯块数
     */
    private Integer slabNum;

    /**
     * 接口表数据批次（Linux时间戳）
     */
    private BigDecimal itfBatchId;

    /**
     * 接口表数据状态（N 未处理 P 处理中 S 处理成功 E 处理失败）
     */
    private String itfStatus;

    /**
     * 接口表处理消息
     */
    private String itfMessage;

    /**
     * 接口表重试次数
     */
    private BigDecimal itfRetryTimes;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
