package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 炼钢连铸制造命令板坯-接口表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_STEEL_CAST_SLAB_ITF")
public class PmSteelCastSlabItfDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 接口表主键ID
     */
      @TableId(value = "ITF_ID", type = IdType.AUTO)
    private BigDecimal itfId;

    /**
     * 厂别
     */
    private String mainBacklogCode;

    /**
     * 命令板坯号
     */
    private String slabNo;

    /**
     * CAST_LOT号
     */
    private String castLotNo;

    /**
     * 制造命令号
     */
    private String pono;

    /**
     * 流号
     */
    private String strandNo;

    /**
     * 钢坯类型
     */
    private String billetType;

    /**
     * 板坯组号
     */
    private Integer slabGroupNo;

    /**
     * 板坯块数
     */
    private String slabNum;

    /**
     * 品种代码
     */
    private String varietyCode;

    /**
     * 钢种代码
     */
    private String steelCode;

    /**
     * 板坯厚度
     */
    private BigDecimal slabThick;

    /**
     * 板坯宽度
     */
    private BigDecimal slabWidth;

    /**
     * 板坯长度
     */
    private String slabLen;

    /**
     * 板坯长度最大值
     */
    private String slabMaxLen;

    /**
     * 板坯长度最小值
     */
    private String slabMinLen;

    /**
     * 板坯重量
     */
    private BigDecimal slabWt;

    /**
     * 板坯重量最大值
     */
    private BigDecimal slabMaxWt;

    /**
     * 板坯重量最小值
     */
    private BigDecimal slabMinWt;

    /**
     * 订货长度上限
     */
    private String orderLenMax;

    /**
     * 订货长度下限
     */
    private String orderLenMin;

    /**
     * 订货最大短尺
     */
    private String orderShortMax;

    /**
     * 订货最小短尺
     */
    private String orderShortMin;

    /**
     * 订货短尺率
     */
    private BigDecimal orderShortRate;

    /**
     * 进加热炉板坯宽度
     */
    private BigDecimal infurSlabWid;

    /**
     * 进加热炉板坯长度
     */
    private String infurSlabLen;

    /**
     * 进加热炉板坯最大长度
     */
    private String infurSlabMaxLen;

    /**
     * 进加热炉板坯最小长度
     */
    private String infurSlabMinLen;

    /**
     * 进加热炉板坯重量
     */
    private BigDecimal infurSlabWt;

    /**
     * 进加热炉板坯最大重量
     */
    private BigDecimal infurSlabMaxWt;

    /**
     * 进加热炉板坯最小重量
     */
    private BigDecimal infurSlabMinWt;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 计划类型
     */
    private String planType;

    /**
     * 板坯去向
     */
    private String slabDest;

    /**
     * 热送标记
     */
    private String hotSendFlag;

    /**
     * 热装标记
     */
    private String hotChargeFlag;

    /**
     * 修磨标志
     */
    private String mendFlag;

    /**
     * 板坯精整基准代码
     */
    private String slabFinishCode;

    /**
     * 火焰清理区分
     */
    private String flameCleanDiv;

    /**
     * 新试号
     */
    private String newTestNo;

    /**
     * 短尺坯切割标记
     */
    private String shortCutFlag;

    /**
     * 预定轧制计划号
     */
    private String precRollPlanNo;

    /**
     * 预定轧制计划顺序号
     */
    private String precRollSeqNo;

    /**
     * 板坯冷却基准代码
     */
    private String slabCoolCode;

    /**
     * 合同材/预备材区分
     */
    private String orderRemainDiv;

    /**
     * 炼钢最晚结束日期
     */
    private String steelLatestDate;

    /**
     * 接口表数据批次（Linux时间戳）
     */
    private BigDecimal itfBatchId;

    /**
     * 接口表数据状态（N 未处理 P 处理中 S 处理成功 E 处理失败）
     */
    private String itfStatus;

    /**
     * 接口表处理消息
     */
    private String itfMessage;

    /**
     * 接口表重试次数
     */
    private BigDecimal itfRetryTimes;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
