package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 异钢种替代工艺表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_SUB_QLTY_TECH")
public class PmSubQltyTechDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private BigDecimal id;

    /**
     * 产线号
     */
    private String lineNo;

    /**
     * 原内部钢种
     */
    private String orgStNo;

    /**
     * 可替内部钢种
     */
    private String subStNo;

    /**
     * 板坯厚度最小值
     */
    private BigDecimal slabThickMin;

    /**
     * 板坯厚度最大值
     */
    private BigDecimal slabThickMax;

    /**
     * 订货厚度最小值
     */
    private BigDecimal orderThickMin;

    /**
     * 订货厚度最大值
     */
    private BigDecimal orderThickMax;

    /**
     * 订货宽度最小值
     */
    private BigDecimal orderWidthMin;

    /**
     * 订货宽度最大值
     */
    private BigDecimal orderWidthMax;

    /**
     * 订货长度最小值
     */
    private BigDecimal lenAimMin;

    /**
     * 订货长度最大值
     */
    private BigDecimal lenAimMax;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
