package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 钢板厚度余量基准表
 * </p>
 *
 * @author SunH
 * @since 2024-12-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_THICK_ADDV_BT")
public class PmThickAddvBtDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
      @TableId(value = "PPTAB_ID", type = IdType.AUTO)
    private BigDecimal pptabId;

    /**
     * 公差类型代码
     */
    private String tolTypeCode;

    /**
     * 全程热处理类型，Q（全程热处理类型含Q），* 匹配全部热处理类型
     */
    private String wholeHeatTreatmentType;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 钢板厚度起
     */
    private BigDecimal plateThickFrom;

    /**
     * 钢板厚度止
     */
    private BigDecimal plateThickTo;

    /**
     * 组合板宽度起
     */
    private BigDecimal combinePlateWidthFrom;

    /**
     * 组合板宽度止
     */
    private BigDecimal combinePlateWidthTo;

    /**
     * 厚度余量
     */
    private BigDecimal thickAddv;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
