package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 厚板产线_命令余材长度基准表
 * </p>
 *
 * @author SunH
 * @since 2024-12-19
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("PM_WM_WW_BT")
public class PmWmWwBtDO implements Serializable {

    private static final long serialVersionUID = 1L;

      @TableId(value = "ID", type = IdType.AUTO)
    private BigDecimal id;

    /**
     * 全程工序代码
     */
    private String wholeBacklogCode;

    /**
     * 板坯宽度起
     */
    private BigDecimal slabWidthFrom;

    /**
     * 板坯宽度止
     */
    private BigDecimal slabWidthTo;

    /**
     * 板坯厚度起
     */
    private BigDecimal slabThickFrom;

    /**
     * 板坯厚度止
     */
    private BigDecimal slabThickTo;

    /**
     * 连铸机类型
     */
    private String ccType;

    /**
     * 无委充当板坯长度上限
     */
    private Integer fillSlabLenMax;

    /**
     * 无委充当板坯长度下限
     */
    private Integer fillSlabLenMin;

    /**
     * 请求外板坯长度
     */
    private Integer unappSlabLen;

    /**
     * 请求外板坯长度上限
     */
    private Integer unappSlabLenMax;

    /**
     * 请求外板坯长度下限
     */
    private Integer unappSlabLenMin;

    /**
     * 轻压下CAST头部余材长度上限
     */
    private Integer castHeadLenMax;

    /**
     * 轻压下CAST头部余材长度下限
     */
    private Integer castHeadLenMin;

    /**
     * 轻压下CAST尾部余材长度上限
     */
    private Integer castTailLenMax;

    /**
     * 轻压下CAST尾部余材长度下限
     */
    private Integer castTailLenMin;

    /**
     * 轻压下CAST头部余材板坯块数
     */
    private Integer castHeadSlabNum;

    /**
     * 轻压下CAST尾部余材板坯块数
     */
    private Integer castTailSlabNum;

    /**
     * 产线号
     */
    private String mscLineNo;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
