package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 合同处理坯料性能要求
 * </p>
 *
 * @author SunH
 * @since 2024-12-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("QD_TO_LINEUP_RESULT_SLABPHY")
public class QdToLineupResultSlabphyDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
      @TableId(value = "LRC_ID", type = IdType.AUTO)
    private BigDecimal lrcId;

    /**
     * 合同号
     */
    private String orderNo;

    /**
     * 是否低倍要求(0-否;1-是)
     */
    private Integer macroSmpFlag;

    /**
     * 低倍试样形状
     */
    private BigDecimal macroSmpShape;

    /**
     * 低倍取样频率
     */
    private String macroSmpFreq;

    /**
     * ISE检验
     */
    private String iseTest;

    /**
     * ISE检验上限
     */
    private String iseTestMax;

    /**
     * 中心偏析A
     */
    private String centerSgrgA;

    /**
     * 中心偏析A上限
     */
    private String centerSgrgAMax;

    /**
     * 中心偏析B
     */
    private String centerSgrgB;

    /**
     * 中心偏析B上限
     */
    private String centerSgrgBMax;

    /**
     * 中心偏析C
     */
    private String centerSgrgC;

    /**
     * 中心偏析C上限
     */
    private String centerSgrgCMax;

    /**
     * 中心疏松
     */
    private String centerPorosity;

    /**
     * 中心疏松上限
     */
    private String centerPorosityMax;

    /**
     * 白亮带
     */
    private String whiteBand;

    /**
     * 白亮带上限
     */
    private String whiteBandMax;

    /**
     * 中间裂纹
     */
    private String crackCenter;

    /**
     * 中间裂纹上限
     */
    private String crackCenterMax;

    /**
     * 三角区裂纹级别
     */
    private String triCrackGrade;

    /**
     * 三角区裂纹级别上限
     */
    private String triCrackGradeMax;

    /**
     * 角裂级别
     */
    private String angleCrackGrade;

    /**
     * 角裂级别上限
     */
    private String angleCrackGradeMax;

    /**
     * 三氧化二铝夹杂
     */
    private String inclu;

    /**
     * 三氧化二铝夹杂上限
     */
    private String incluMax;

    /**
     * 缩孔
     */
    private String hore;

    /**
     * 缩孔上限
     */
    private String horeMax;

    /**
     * 蜂窝状气泡
     */
    private String cellularBubble;

    /**
     * 蜂窝状气泡上限
     */
    private String cellularBubbleMax;

    /**
     * 等轴晶率
     */
    private String wafer;

    /**
     * 等轴晶率上限
     */
    private String waferMax;

    /**
     * 其他缺陷A
     */
    private String otherDefectA;

    /**
     * 其他缺陷A类型
     */
    private String otherDefectAType;

    /**
     * 其他缺陷A上限
     */
    private String otherDefectAMax;

    /**
     * 其他缺陷B
     */
    private String otherDefectB;

    /**
     * 其他缺陷B类型
     */
    private String otherDefectBType;

    /**
     * 其他缺陷B上限
     */
    private String otherDefectBMax;

    /**
     * 其他缺陷C
     */
    private String otherDefectC;

    /**
     * 其他缺陷C类型
     */
    private String otherDefectCType;

    /**
     * 其他缺陷C上限
     */
    private String otherDefectCMax;

    /**
     * 其他缺陷D
     */
    private String otherDefectD;

    /**
     * 其他缺陷D类型
     */
    private String otherDefectDType;

    /**
     * 其他缺陷D上限
     */
    private String otherDefectDMax;

    /**
     * 其他缺陷E
     */
    private String otherDefectE;

    /**
     * 其他缺陷E类型
     */
    private String otherDefectEType;

    /**
     * 其他缺陷E上限
     */
    private String otherDefectEMax;

    /**
     * 是否夹杂要求(0-否;1-是)
     */
    private Integer inclusionSmpFlag;

    /**
     * 夹杂试样形状
     */
    private BigDecimal inclusionSmpShape;

    /**
     * 取样频率
     */
    private String inclusionSmpFreq;

    /**
     * A类细系
     */
    private String aThin;

    /**
     * A类细系下限
     */
    private String aThinMin;

    /**
     * A类细系上限
     */
    private String aThinMax;

    /**
     * A类粗系
     */
    private String aThick;

    /**
     * A类粗系下限
     */
    private String aThickMin;

    /**
     * A类粗系上限
     */
    private String aThickMax;

    /**
     * B类细系
     */
    private String bThin;

    /**
     * B类细系下限
     */
    private String bThinMin;

    /**
     * B类细系上限
     */
    private String bThinMax;

    /**
     * B类粗系
     */
    private String bThick;

    /**
     * B类粗系下限
     */
    private String bThickMin;

    /**
     * B类粗系上限
     */
    private String bThickMax;

    /**
     * C类细系
     */
    private String cThin;

    /**
     * C类细系下限
     */
    private String cThinMin;

    /**
     * C类细系上限
     */
    private String cThinMax;

    /**
     * C类粗系
     */
    private String cThick;

    /**
     * C类粗系下限
     */
    private String cThickMin;

    /**
     * C类粗系上限
     */
    private String cThickMax;

    /**
     * D类细系
     */
    private String dThin;

    /**
     * D类细系下限
     */
    private String dThinMin;

    /**
     * D类细系上限
     */
    private String dThinMax;

    /**
     * D类粗系
     */
    private String dThick;

    /**
     * D类粗系下限
     */
    private String dThickMin;

    /**
     * D类粗系上限
     */
    private String dThickMax;

    /**
     * DS单颗粒球状类
     */
    private String ds;

    /**
     * DS单颗粒球状类下限
     */
    private String dsMin;

    /**
     * DS单颗粒球状类上限
     */
    private String dsMax;

    /**
     * 客户特殊要求标记,Y是,N否
     */
    private String alfaFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;


}
