package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 炉次工序成分代表实绩表
 * </p>
 *
 * @author SunH
 * @since 2024-12-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("QE_TQ_HEATCHE_STAND_RESULT")
public class QeTqHeatcheStandResultDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
    private BigDecimal heatCheStandResultId;

    /**
     * 制造命令号
     */
    private String pono;

    /**
     * 熔炼号
     */
    private String heatNo;

    /**
     * 熔炼试样号
     */
    private String heatSmpNo;

    /**
     * 元素
     */
    private String elm;

    /**
     * 是否组合元素(Y-是,N-否)
     */
    private String elementSup;

    /**
     * 成分结果原始值
     */
    private BigDecimal testOriginalResult;

    /**
     * 成分结果修约值
     */
    private BigDecimal testRoundResult;

    /**
     * 元素主试最小值
     */
    private BigDecimal mainMin;

    /**
     * 元素主试最大值
     */
    private BigDecimal mainMax;

    /**
     * 目标值
     */
    private BigDecimal mainAim;

    /**
     * 是否内控合格
     */
    private Integer iqFlag;

    /**
     * 是否放行合格
     */
    private Integer oqFlag;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    private String elmCode;

    /**
     * 年份
     */
    private String prodYear;


}
