package net.xdclass.shopmanager.model;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 坯料低倍委托实绩表
 * </p>
 *
 * @author SunH
 * @since 2024-12-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("QE_TQ_SLAB_MACRO_RESULT")
public class QeTqSlabMacroResultDO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 表ID，主键
     */
      @TableId(value = "SLAB_TEST_RESULT_ID", type = IdType.AUTO)
    private BigDecimal slabTestResultId;

    /**
     * 制造命令号
     */
    private String pono;

    /**
     * 试样号
     */
    private String slabSampleNo;

    /**
     * 代表样标识
     */
    private Integer repSampleFlag;

    /**
     * 检验标记
     */
    private String iseTestResult;

    /**
     * 中心偏析A实绩
     */
    private String centerSgrgAResult;

    /**
     * 中心偏析A内控合否
     */
    private Integer centerSgrgAIqFlag;

    /**
     * 中心偏析A合同合否
     */
    private Integer centerSgrgAOqFlag;

    /**
     * 中心偏析B实绩
     */
    private String centerSgrgBResult;

    /**
     * 中心偏析A内控合否
     */
    private Integer centerSgrgBIqFlag;

    /**
     * 中心偏析A合同合否
     */
    private Integer centerSgrgBOqFlag;

    /**
     * 中心偏析C实绩
     */
    private String centerSgrgCResult;

    /**
     * 中心偏析C内控合否
     */
    private Integer centerSgrgCIqFlag;

    /**
     * 中心偏析C合同合否
     */
    private Integer centerSgrgCOqFlag;

    /**
     * 中心疏松实绩
     */
    private String centerPorosityResult;

    /**
     * 中心疏松内控合否
     */
    private Integer centerPorosityIqFlag;

    /**
     * 中心疏松合同合否
     */
    private Integer centerPorosityOqFlag;

    /**
     * 白亮带实绩
     */
    private String whiteBandResult;

    /**
     * 白亮带内控合否
     */
    private Integer whiteBandIqFlag;

    /**
     * 白亮带合同合否
     */
    private Integer whiteBandOqFlag;

    /**
     * 中间裂纹实绩
     */
    private String crackCenterResult;

    /**
     * 中间裂纹内控合否
     */
    private Integer crackCenterIqFlag;

    /**
     * 中间裂纹合同合否
     */
    private Integer crackCenterOqFlag;

    /**
     * 三角区裂纹实绩
     */
    private String triCrackGradeResult;

    /**
     * 三角区裂纹内控合否
     */
    private Integer triCrackGradeIqFlag;

    /**
     * 三角区裂纹合同合否
     */
    private Integer triCrackGradeOqFlag;

    /**
     * 角裂级别实绩
     */
    private String angleCrackGradeResult;

    /**
     * 角裂级别内控合否
     */
    private Integer angleCrackGradeIqFlag;

    /**
     * 角裂级别合同合否
     */
    private Integer angleCrackGradeOqFlag;

    /**
     * 三氧化二铝夹杂实绩
     */
    private String incluResult;

    /**
     * 三氧化二铝夹杂内控合否
     */
    private Integer incluIqFlag;

    /**
     * 三氧化二铝夹杂合同合否
     */
    private Integer incluOqFlag;

    /**
     * 缩孔实绩
     */
    private String horeResult;

    /**
     * 缩孔内控合否
     */
    private Integer horeIqFlag;

    /**
     * 缩孔合同合否
     */
    private Integer horeOqFlag;

    /**
     * 蜂窝状气泡实绩
     */
    private String cellularBubbleResult;

    /**
     * 蜂窝状气泡内控合否
     */
    private Integer cellularBubbleIqFlag;

    /**
     * 蜂窝状气泡合同合否
     */
    private Integer cellularBubbleOqFlag;

    /**
     * 等轴晶率实绩
     */
    private String waferResult;

    /**
     * 等轴晶率内控合否
     */
    private Integer waferIqFlag;

    /**
     * 等轴晶率合同合否
     */
    private Integer waferOqFlag;

    /**
     * 其他缺陷A
     */
    private String otherDefectA;

    /**
     * 其他缺陷A实绩
     */
    private String otherDefectAResult;

    /**
     * 其他缺陷A内控合否
     */
    private Integer otherDefectAIqFlag;

    /**
     * 其他缺陷A合同合否
     */
    private Integer otherDefectAOqFlag;

    /**
     * 其他缺陷B
     */
    private String otherDefectB;

    /**
     * 其他缺陷B实绩
     */
    private String otherDefectBResult;

    /**
     * 其他缺陷B内控合否
     */
    private Integer otherDefectBIqFlag;

    /**
     * 其他缺陷B合同合否
     */
    private Integer otherDefectBOqFlag;

    /**
     * 其他缺陷C
     */
    private String otherDefectC;

    /**
     * 其他缺陷C实绩
     */
    private String otherDefectCResult;

    /**
     * 其他缺陷C内控合否
     */
    private Integer otherDefectCIqFlag;

    /**
     * 其他缺陷C合同合否
     */
    private Integer otherDefectCOqFlag;

    /**
     * 其他缺陷D
     */
    private String otherDefectD;

    /**
     * 其他缺陷D实绩
     */
    private String otherDefectDResult;

    /**
     * 其他缺陷D内控合否
     */
    private Integer otherDefectDIqFlag;

    /**
     * 其他缺陷D合同合否
     */
    private Integer otherDefectDOqFlag;

    /**
     * 其他缺陷E
     */
    private String otherDefectE;

    /**
     * 其他缺陷E实绩
     */
    private String otherDefectEResult;

    /**
     * 其他缺陷E内控合否
     */
    private Integer otherDefectEIqFlag;

    /**
     * 其他缺陷E合同合否
     */
    private Integer otherDefectEOqFlag;

    /**
     * 照片
     */
    private String slabTestResultPhoto;

    /**
     * 内控合否标志
     */
    private Integer iqFlag;

    /**
     * 合同合否标志
     */
    private Integer oqFlag;

    /**
     * ISE实绩判定备注
     */
    private String iseRemark;

    /**
     * 租户ID
     */
    private BigDecimal tenantId;

    /**
     * 行版本号，用来处理锁
     */
    private BigDecimal objectVersionNumber;

    /**
     * 创建时间
     */
    private Date creationDate;

    /**
     * 创建人ID
     */
    private BigDecimal createdBy;

    /**
     * 最近更新人ID
     */
    private BigDecimal lastUpdatedBy;

    /**
     * 最近更新时间
     */
    private Date lastUpdateDate;

    private String attribute1;

    private String attribute2;

    private String attribute3;

    private String attribute4;

    private String attribute5;

    /**
     * 其他缺陷
     */
    private String otherRemark;

    private Long slabTestMainId;

    /**
     * 低倍是否合格，0-待判、1-合格、2-不合格
     */
    private Integer determineFlag;

    /**
     * 代表制造命令号
     */
    private String repPono;

    /**
     * 年份
     */
    private String prodYear;

    /**
     * 判定标识 1-已综判 2-已改判 3-已强判
     */
    private Integer judgeFlag;


}
